<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Parking Lot Management
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container">
    <div class="row">
        <div class="col col-md-5">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Add Parking</h5></div>
                    <div class="card-body">
                        <form action="#0" method="POST">
                            <div class="row">
                                <div class="col col-sm-6">
                                    <input type="text" name="brandName" placeholder="Parking Name" required class="form-control">
                                </div>
                                <div class="col col-sm-6">
                                    <textarea name="" id="" cols="30" placeholder="Short Description" rows="3" class="form-control"></textarea>
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="create_department" type="submit" class="button">Add</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-7">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> All Parking</h5></div>
                    <div class="card-body">
                        <table id="table" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">Description</th>
                                    <th scope="col" class="text-center">Action</th>
                                </tr>
                            </thead> 
                            <tbody>
                                <tr>
                                    <td>1</td>
                                    <td>Main gate</td>
                                    <td>Main Church Entrance</td>
                                    <td class="d-flex">
                                        <a href="edit_parking_lot.php" class="btn btn-primary"><i class="far fa-edit"></i></a>
                                        <a href="#" class="btn btn-danger"><i class="fas fa-trash-alt"></i></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>2</td>
                                    <td>Bike gate</td>
                                    <td>This is where bikes enter</td>
                                    <td class="d-flex">
                                        <a href="edit_parking_lot.php" class="btn btn-primary"><i class="far fa-edit"></i></a>
                                        <a href="#" class="btn btn-danger"><i class="fas fa-trash-alt"></i></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>3</td>
                                    <td>Shepherd's Office gate</td>
                                    <td>This is the man of Gods main private gate</td>
                                    <td class="d-flex">
                                        <a href="edit_parking_lot.php" class="btn btn-primary"><i class="far fa-edit"></i></a>
                                        <a href="#" class="btn btn-danger"><i class="fas fa-trash-alt"></i></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>4</td>
                                    <td>Kitchen gate</td>
                                    <td>This is a backside kitchen gate</td>
                                    <td class="d-flex">
                                        <a href="edit_parking_lot.php" class="btn btn-primary"><i class="far fa-edit"></i></a>
                                        <a href="#" class="btn btn-danger"><i class="fas fa-trash-alt"></i></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>5</td>
                                    <td>Toilet gate</td>
                                    <td>This is that gate beside the toilets </td>
                                    <td class="d-flex">
                                        <a href="edit_parking_lot.php" class="btn btn-primary"><i class="far fa-edit"></i></a>
                                        <a href="#" class="btn btn-danger"><i class="fas fa-trash-alt"></i></a>
                                    </td>
                                </tr>
                            </tbody> 
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>






<?php
include "includes/footer.php" ;
?>