<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Accademic Badge
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container">
    <div class="row">
        <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Add Badge</h5></div>
                    <div class="card-body">
					
					<?php
if(isset($_POST['create_badge'])){
 
    // include database connection
    include 'database/config2.php';
 
    try{
 
        // insert query
        $query = "INSERT INTO academic_badge SET name=:name, acadYear=:acadYear, fee=:fee, description=:description";
 
        // prepare query for execution
        $stmt = $conn->prepare($query);
 
        // posted values
        $name=htmlspecialchars(strip_tags($_POST['badgename']));
        $acadYear=htmlspecialchars(strip_tags($_POST['academicyear']));
        $fee=htmlspecialchars(strip_tags($_POST['fee']));
        $description=htmlspecialchars(strip_tags($_POST['acadyear']));
 
        // bind the parameters
        $stmt->bindParam(':name', $name);
        $stmt->bindParam(':acadYear', $acadYear);
        $stmt->bindParam(':fee', $fee);
        $stmt->bindParam(':description', $description);
 
        if($stmt->execute()){
            echo "<div class='alert alert-success'>Badge created successfully.</div>";
        }else{
            echo "<div class='alert alert-danger'>Could not create badge.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
					
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                            <div class="row">
                                <div class="col col-sm-6">
                                    <label for="badgename">Name of Badge <span style="color: red">*</span></label>
                                    <input type="text" name="badgename" placeholder="Badge Name" required class="form-control">
                                </div>
                                <div class="col col-sm-3">
                                    <label for="academicyear">Accademic Year <span style="color: red">*</span></label>
                                    <input type="text" name="academicyear" placeholder="Year" required class="form-control">
                                </div>
                                <div class="col col-sm-3">
                                    <label for="Fee">Fee <span style="color: red">*</span></label>
                                    <input type="text" name="fee" placeholder="Fee for this year" required class="form-control">
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col col-sm-12">
                                    <label for="moreinfo">Academic Year <span style="color: red">*</span></label>
                                    <textarea name="acadyear" id="" cols="30" placeholder="Short Description" rows="3" class="form-control"></textarea>
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="create_badge" type="submit" class="button">Add</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-6">
	
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> All Badges</h5></div>
                    <div class="card-body">
						<?php
									$query1 = "SELECT * FROM academic_badge ORDER BY id DESC";
									$stmt1 = $conn->prepare($query1);
									$stmt1->execute();
									 
									$num1 = $stmt1->rowCount();
									 $sn=0;
									if($num1 > 0){
									 
										echo "
										<table id='table' class='table table-bordered table-striped'>
											<thead>
												<tr>
													<th scope='col'>#</th>
													<th scope='col'>Name</th>
													<th scope='col'>Academic Year</th>
													<th scope='col'>Fee (CFA)</th>
													<th scope='col'>Description</th>
													<th scope='col'>Status</th>
													<th scope='col' class='text-center'>Action</th>
												</tr>
											</thead> 
											<tbody>
										";
										
										while ($row1 = $stmt1->fetch(PDO::FETCH_ASSOC)){
										
											extract($row1);
										 $sn++;
											echo "<tr>
													<td>{$sn}</td>
													<td>{$name}</td>
													<td>{$acadYear}</td>
													<td>".number_format($fee)."</td>
													<td>{$description}</td>
													<td><span class='badge bg-danger'>Closed</span></td>
													<td class='d-flex'>
														<a href='edit_badge.php?id={$id}' class='btn btn-primary'><i class='far fa-edit'></i></a>
														<button onclick='delete_user({$id});' class='btn btn-danger' id='deletusers'>
															<i class='far fa-trash-alt'></i>
														</button>
													</td>
												</tr>";
										}
									 
									}
									 
									// if no records found
									else{
										echo "<div class='alert alert-danger'>No records found.</div>";
									}
									?>
                        
                            </tbody> 
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


<script type='text/javascript'>
// confirm record deletion
function delete_user( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deletebadge.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>

<?php
include "includes/footer.php" ;
?>