<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Fee Payments
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="row">
            <div class="col col-md-1"></div>
            <div class="col col-md-10">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header">
                            <h3>Add new Payment </h3>
                        </div>
                        <div class="card-body">
						<?php
if($_POST){
 
    include 'database/config2.php';
 
    try{
         $matricule=htmlspecialchars(strip_tags($_POST['matricule']));
		$checkmatricule = "SELECT * FROM atbistudents WHERE matricule=:matricule AND isStudent=1 ";
		$checkstmt = $conn->prepare($checkmatricule);
		$checkstmt->bindParam(':matricule', $matricule);
		$checkstmt->execute();
		$checknum = $checkstmt->rowCount();
		$checkrow = $checkstmt->fetch(PDO::FETCH_ASSOC);
		
		if($checknum > 0){
			$studentId = $checkrow['id'];
			$query = "INSERT INTO atbituition SET studentId=:studentId, amount=:amount, transactionId=:transactionId, batch=:batch, date=:date";
			$stmt = $conn->prepare($query);
	 
			$amount=htmlspecialchars(strip_tags($_POST['amount']));
			$transactionId=htmlspecialchars(strip_tags($_POST['transactionId']));
			$batch=htmlspecialchars(strip_tags($_POST['batch']));
			$date=htmlspecialchars(strip_tags($_POST['date']));
	 
			$stmt->bindParam(':studentId', $studentId);
			$stmt->bindParam(':amount', $amount);
			$stmt->bindParam(':transactionId', $transactionId);
			$stmt->bindParam(':batch', $batch);
			$stmt->bindParam(':date', $date);
	 
			if($stmt->execute()){
				echo "<div class='alert alert-success'>Fees successfully submitted.</div>";
			}else{
				echo "<div class='alert alert-danger'>Unable to submit fees.</div>";
			}
		} else {
            echo "<div class='alert alert-danger'>We can't identify any student with that matricule</div>";			
		}
    }
 
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
							<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                                <div class="row">
                                    <div class="col col-3" id="MemberDiv">
                                        <label for="memberName">Matricule<span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="" placeholder="Student's Matricule" name="matricule" list="memberName">
                                        
                                    </div>
                                    <div class="col col-3">
                                        <label for="date">Amount <span class="reqired">*</span></label>
                                        <input class="form-control" type="number" id="date" placeholder="Amount paying" name="amount" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Transaction ID <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" value="<?php echo $pass; ?>" id="date" placeholder="<?php echo $pass; ?>" name="transactionId" readonly>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Batch <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" max="6" id="date" placeholder="tel" name="batch" required>
										<?php
											$batchquery = "SELECT * FROM academic_badge WHERE isOpen=1";
											$batchstmt = $conn->prepare($batchquery);
											$batchstmt->execute();
											$batchrow = $batchstmt->fetch(PDO::FETCH_ASSOC);
											echo "<option value='{$batchrow['id']}'>{$batchrow['name']}</option>";
										?>
                                          
                                        </select>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Date Paid <span class="reqired">*</span></label>
                                        <input class="form-control" type="date" id="date" max="<?php echo date("Y-m-d");?>" name="date" required>
                                    </div>
                                </div>
                                <br>
                                <div class="main text-center">
                                    <button name="addTuition" type="submit" class="button"><i class="fas fa-plus"></i> Add Payment</button>
                                </div>
                                <br>
                                <hr>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-1"></div>
        </div>
	</div>
</section>

<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-1"></div>
            <div class="col col-md-10">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header"><h5><i class="fas fa-list"></i> Payment History</h5></div>
                        <div class="card-body">
						<?php
							$displayfees = "SELECT * FROM atbituition ORDER BY id DESC";
							$displaystmt = $conn->prepare($displayfees);
							$displaystmt->execute();
							$displaynum = $displaystmt->rowCount();
							
							if($displaynum > 0){
								echo "
								<table id='table' class='table table-bordered table-striped'>
                                <thead>
                                    <tr>
                                        <th scope='col'>Date</th>
                                        <th scope='col'>Trans. ID</th>
                                        <th scope='col'>Matricule</th>
                                        <th scope='col'>Name</th>
                                        <th scope='col'>Tel</th>
                                        <th scope='col'>Address</th>
                                        <th scope='col'>Amount (CFA)</th>
                                        <th scope='col'>Balance (CFA)</th>
                                        <th scope='col'>% Complete</th>
                                        <th scope='col' class='text-center'>Action</th>
                                    </tr>
                                </thead> 
                                <tbody>
								";
								while($displayrow = $displaystmt->fetch(PDO::FETCH_ASSOC)){
									$studentquery = "SELECT * FROM atbistudents WHERE id=:id";
									$studentstmt = $conn->prepare($studentquery);
									$studentstmt->bindParam(':id', $displayrow['studentId']);
									$studentstmt->execute();
									$studentrow = $studentstmt->fetch(PDO::FETCH_ASSOC);
									if($studentrow['memberId'] == 0){
										$name = $studentrow['studentName'];
										$telephone = $studentrow['telephone'];
										$address = $studentrow['address'];
									} else {
										$studentNamequery = "SELECT * FROM members WHERE id=:id AND duplicated_id=0";	
										$studentNamestmt = $conn->prepare($studentNamequery);
										$studentNamestmt->bindParam(':id', $studentrow['memberId']);
										$studentNamestmt->execute();
										$studentNamerow = $studentNamestmt->fetch(PDO::FETCH_ASSOC);
										$name = $studentNamerow['name'];
										$telephone = $studentNamerow['telephone'];
										$address = $studentNamerow['address'];
									}
									$balancequery = "SELECT * FROM academic_badge WHERE id=:id";
									$balancestmt = $conn->prepare($balancequery);
									$balancestmt->bindParam(':id', $studentrow['badge']);
									$balancestmt->execute();
									$balancerow = $balancestmt->fetch(PDO::FETCH_ASSOC);
									
									$totalfee = 0;
									$displayfees2 = "SELECT * FROM atbituition WHERE studentId=:studentId AND id <= :id";
									$displaystmt2 = $conn->prepare($displayfees2);
									$displaystmt2->bindParam(':studentId', $displayrow['studentId']);
									$displaystmt2->bindParam(':id', $displayrow['id']);
									$displaystmt2->execute();
									while($displayrow2 = $displaystmt2->fetch(PDO::FETCH_ASSOC)){ 
										$totalfee = $totalfee + $displayrow2['amount'];
									}
									$balance = $balancerow['fee'] - $totalfee;
									$percComplete = ($totalfee * 100) /$balancerow['fee'];
									echo "
									<tr>
                                        <td>".date('d-M-Y', strtotime($displayrow['date']))."</td>
                                        <td>{$displayrow['transactionId']}</td>
                                        <td>{$studentrow['matricule']}</td>
                                        <td>{$name}</td>
                                        <td>{$telephone}</td>
                                        <td>{$address}</td>
                                        <td>".number_format($displayrow['amount'])."</td>
                                        <td>".number_format($balance)."</td>
                                        <td>
                                            <div class='progress'>
                                                <div class='progress-bar progress-bar-striped progress-bar-animated' role='progressbar' aria-valuenow='75' aria-valuemin='0' aria-valuemax='100' style='width: {$percComplete}%'>{$percComplete}%</div>
                                            </div>
                                        </td>
                                        <td class='d-flex text-center'>
                                            <a href='edit_fee_payment.php?id={$displayrow['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
                                        </td>
                                    </tr>
									";
								}
								echo "</tbody> 
                            </table>";
							} else {
								echo "<div class='alert alert-danger'>No fee transaction to show</div>";			
							}						
						?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-1"></div>
        </div>
    </div>
</section>




<?php
include "includes/footer.php" ;
?>