<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Add System Users
                    <a href="user.php" class="btn btn-success">View Users
                        <i class="fas fa-eye"></i>
                    </a>
                </h3>
                
                <p class="text-subtitle text-muted">Who are those to labour with you? 
                    <a href="#" class="scripture" title="Malachai 3:8" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Will a mere mortal rob God? Yet you rob me. “But you ask, ‘How are we robbing you?’
                        “In tithes and offerings.">Philippians 4:3</a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Add User</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
 </div>


<div id="auth">
    <div class="row">
        <div class="col col-6 ">
            <form action="includes/server.php" method="POST">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <div id="authing" style="text-align: center;">
                                <h1 class="auth-title">Register New User</h1>
                                <p class="text-subtitle text-muted">Who are those to labour with you? 
                                    <a href="#" class="scripture" title="Malachai 3:8" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Will a mere mortal rob God? Yet you rob me. “But you ask, ‘How are we robbing you?’
                                        “In tithes and offerings.">Philippians 4:3</a>
                                </p>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <input type="email" class="form-control form-control-xl" name="email" placeholder="Email">
                                        <div class="form-control-icon">
                                            <i class="fas fa-envelope"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <input type="text" class="form-control form-control-xl" name="fname" placeholder="Full name" required>
                                        <div class="form-control-icon">
                                            <i class="fas fa-signature"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <input type="number" class="form-control form-control-xl" name="telephone" placeholder="Phone" required>
                                        <div class="form-control-icon">
                                            <i class="fas fa-phone"></i>
                                        </div>
                                    </div>
									<div class="form-group position-relative has-icon-left mb-4">
                                        <input type="text" class="form-control form-control-xl" name="address" placeholder="Home Address" required>
                                        <div class="form-control-icon">
                                            <i class="fas fa-home"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <input type="text" class="form-control form-control-xl" name="nationality" placeholder="Natonality" required>
                                        <div class="form-control-icon">
                                            <i class="fas fa-globe"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <select type="text" class="form-control form-control-xl" name="gender" required>
                                            <option selected disabled>Select Gender</option>
                                            <option>Male</option>
                                            <option>Female</option>
                                        </select>
                                        <div class="form-control-icon">
                                        <i class="fas fa-restroom"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <input type="text" class="form-control form-control-xl" placeholder="User name" name="username" required>
                                        <div class="form-control-icon">
                                            <i class="far fa-smile"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <select type="text" class="form-control form-control-xl" name="user_role" required>
                                            <option>Leadership Role</option>
                                            <option>Reverend Pst</option>
                                            <option>Pastor</option>
                                            <option>Secretary</option>
                                            <option>Ministry Director</option>
                                            <option>Financial Secretary</option>
                                            <option>Cell Cordinator</option>
                                            <option>Evangelism Coordinator</option>
                                            <option>Inventory Director</option>
                                            <option>Hospitality Director</option>
                                        </select>
                                        <div class="form-control-icon">
                                            <i class="fas fa-user-tag"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <input type="password" class="form-control form-control-xl" placeholder="Password" name="password" required>
                                        <div class="form-control-icon">
                                            <i class="fas fa-key"></i>
                                        </div>
                                    </div>
                                    <div class="form-group position-relative has-icon-left mb-4">
                                        <input type="password" class="form-control form-control-xl" placeholder="Confirm Password" name="cpassword" required>
                                        <div class="form-control-icon">
                                            <i class="fas fa-key"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-5">
                    <div id="auth-right">
                        <div class="card">
                            <div class="card-content">
                                <div class="card-body text-center">
                                    <h3>Users Signature</h3>
    
                                    <div class="col-md-12">
                                        <label class="" for="">Signature:</label>
                                        <br/>
                                        <div id="sig" style="border-radius: 10px; border:2px dashed #d9d9d9;"></div>
                                        <br/>
                                        <button id="clear" class="btn btn-danger">Clear Signature</button>
                                        <textarea id="signature64" name="signed" style="display: none"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button class="btn btn-primary shadow-lg mt-1" name="create">Create</button>
                </div>
            </form>
        </div>
    </div>
    <br>
    <br>
    <br>
    <br>
    <br>


    <script type="text/javascript">
        var sig = $('#sig').signature({syncField: '#signature64', syncFormat: 'PNG'});
        $('#clear').click(function(e) {
            e.preventDefault();
            sig.signature('clear');
            $("#signature64").val('');
        });
    </script>
    <?php
    include "includes/footer.php" ;
    ?>