<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
?>
<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
			
			
			<?php
if (isset($_POST['upload'])) {
 
    // include database connection
    include '../database/config2.php';
 
    try{
 
        // insert query
        $queryx = "INSERT INTO departmentalreports SET depId=:depId, name=:name_of_doc, date=:date, file=:file";
 
        // prepare query for execution
        $stmtx = $conn->prepare($queryx);
 
 // new 'image' field
$file=!empty($_FILES["rep"]["name"])
        ? sha1_file($_FILES['rep']['tmp_name']) . "-" . basename($_FILES["rep"]["name"])
        : "";
 
 
        // posted values
        $name_of_doc=htmlspecialchars(strip_tags($_POST['nod']));
        $date=date('Y-m-d');
		$file=htmlspecialchars(strip_tags($file));

        // bind the parameters
        $stmtx->bindParam(':depId', $departmentalId);
        $stmtx->bindParam(':name_of_doc', $name_of_doc);
        $stmtx->bindParam(':date', $date);
        $stmtx->bindParam(':file', $file);
 
        if($stmtx->execute()){
            echo "<div class='alert alert-success'>Record was saved.</div>";

// now, if file is not empty, try to upload the file
if($file){
 
    // sha1_file() function is used to make a unique file name
    $target_directory = "files/";
    $target_file = $target_directory . $file;
    $file_type = pathinfo($target_file, PATHINFO_EXTENSION);
 
    // error message is empty
    $file_upload_error_messages="";
 // make sure file does not exist
if(file_exists($target_file)){
    $file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
}
 
 // make sure submitted file is not too large, can't be larger than 1 MB
if($_FILES['rep']['size'] > (5120000)){
    $file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
}
 
if(!is_dir($target_directory)){
    mkdir($target_directory, 0777, true);
}
 


// if $file_upload_error_messages is still empty
if(empty($file_upload_error_messages)){
    // it means there are no errors, so try to upload the file
    if(move_uploaded_file($_FILES["rep"]["tmp_name"], $target_file)){
        // it means photo was uploaded
    }else{
        echo "<div class='alert alert-danger'>
            <div>Unable to upload file.</div>
            <div>Update the record to upload file.</div>
        </div>";
    }
}
 
// if $file_upload_error_messages is NOT empty
else{
    // it means there are some errors, so show them to user
    echo "<div class='alert alert-danger'>
        <div>{$file_upload_error_messages}</div>
        <div>Update the record to upload photo.</div>
    </div>";
}
}
		
        } else {
            echo "<div class='alert alert-danger'>Unable to save record.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

?>		
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post" enctype="multipart/form-data"> 
                    <div class="row">
                        <div class="col col-sm-6">
                            <input type="text" placeholder="Name of document" name="nod" class="form-control" style="font-size: 2rem !important;" required>
                        </div>
                        <div class="col col-sm-6">
                            <input type="file" class="form-control" name="rep" style="font-size: 2rem !important;">
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col col-sm-12">
                            <input type="submit" class="btn btn-success " name="upload" value="Upload" style="font-size: 2rem !important; float:right">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>

<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
                <div class="drive-wrapper drive-list-view">
                    <div class="table-responsive drive-items-table-wrapper">
					
<?php
	
// include database connection
    include '../database/config2.php';
 
$reportquery = "SELECT * FROM departmentalreports WHERE depId = :departmentalId ORDER BY id DESC";
$reportstmt = $conn->prepare($reportquery);

$reportstmt->bindParam(':departmentalId', $departmentalId);
$reportstmt->execute();
 
// this is how to get number of rows returned
$reportnum = $reportstmt->rowCount();
 
$fpath = "files";

 
if($reportnum>0){
 
    //start table
echo "<table class='table'>";
 
    //creating our table heading
    echo "<thead>
                                <tr>
                                    <th class='type'></th>
                                    <th class='name truncate'>Name</th>
                                    <th class='date'>Uploaded</th>
                                    <th class='size'>Size</th>
                                </tr>
                            </thead>
                            <tbody>";
 
while ($reportrow = $reportstmt->fetch(PDO::FETCH_ASSOC)){
         $realfile = $fpath . "/" . $reportrow['file'];

    // creating new table row per record
    echo "
								<tr>
                                    <td class='type'></td>
									<td class='name truncate'><a href='$realfile' style='color: #0056b3' download>{$reportrow['name']}</a></td>
                                    <td class='date'>". date('M d, Y', strtotime($reportrow['date']))."</td>
                                    <td class='size'>"; if (filesize($realfile) < 1000) 
									{
										echo number_format(filesize($realfile))." bytes";
									} else if ((filesize($realfile) >= 1000) && (filesize($realfile) < 1000000)){
										echo number_format(filesize($realfile)/1000)." KB";
									} else if (filesize($realfile) >= 1000000){
										echo number_format(filesize($realfile)/1000000)." MB";
									}
									

										echo "</td>
                                </tr>	";
} 
// end table
echo "
	</tbody>
</table>";
 
}
 
// if no records found
else{
    echo "<div class='alert alert-danger'>No reports found.</div>";
}
?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
    

<?php 
    include "includes/footer.php";
?>