<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Categories
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container">
    <div class="row">
        <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Add Category</h5></div>
                    <div class="card-body">
					
					<?php
						if(isset($_POST['create_category'])){
							include 'database/config2.php';
							$incatque = "INSERT INTO itemscategory SET name=:name";
							$incatquestmt = $conn->prepare($incatque);
							$name = htmlspecialchars(strip_tags($_POST['categoryName']));
							$incatquestmt->bindParam(':name', $name);
							if($incatquestmt->execute()){
								echo "<div class='alert alert-success'>Category sucessfully added.</div>";
							} else {
													echo "<div class='alert alert-danger'>Danger Occured.</div>";
							}
						}
					?>
					
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                            <div class="row">
                                <div class="col col-sm-12">
                                    <input type="text" name="categoryName" placeholder="Category Name" required class="form-control">
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="create_category" type="submit" class="button">Add</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> All Category</h5></div>
                    <div class="card-body">
					
					<?php
						include 'database/config2.php';
						$retcat = "SELECT * FROM itemscategory ORDER BY id DESC";
						$retcatstmt = $conn->prepare($retcat);
						$retcatstmt->execute();
						$retcatnum = $retcatstmt->rowCount();
						if($retcatnum > 0){
							echo "
						<table id='table' class='table table-bordered table-striped'>
                            <thead>
                                <tr>
                                    <th scope='col'>#</th>
                                    <th scope='col'>Name</th>
                                    <th scope='col' class='text-center'>Action</th>
                                </tr>
                            </thead> 
                            <tbody>	
							";
							$thenumber = 1;
							while($retcatrow = $retcatstmt->fetch(PDO::FETCH_ASSOC)){
								echo "
								<tr>
                                    <td>{$thenumber}</td>
                                    <td>{$retcatrow['name']}</td>
                                    <td class='text-center'>
                                        <a href='edit_category.php?id={$retcatrow['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
											<button onclick='delete_category({$retcatrow['id']});' class='btn btn-danger' id='deletusers'>
                                                <i class='far fa-trash-alt'></i>
                                            </button>
                                    </td>
                                </tr>
								";
								$thenumber++;
							}
							echo "
							</tbody> 
                        </table>
							";
						} else {
							echo "<div class='alert alert-danger'>No category exist yet</div>";							
						}
					?>
					        
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>



<script type='text/javascript'>
// confirm record deletion
function delete_category( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteCategory.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>



<?php
include "includes/footer.php" ;
?>