<?php
if(isset($_POST['checkout'])){
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Equipment not found.');	

include 'database/config2.php';
 
    try{
		
		
        $query = "INSERT INTO inventorymovement SET dateCollected=:dateCollected, expectedReturn=:expectedReturn, itemId=:itemId, collectorId=:collectorId, qtycollected=:qtycollected, motiveCollected=:motiveCollected, 
		imageState=:imageState";
 
        // prepare query for execution
        $stmt = $conn->prepare($query);
 
        // posted values
        $dateCollected=htmlspecialchars(strip_tags($_POST['dateCollected']));
        $expectedReturn=htmlspecialchars(strip_tags($_POST['expectedReturn']));
        $collectorId=htmlspecialchars(strip_tags($_POST['collectorId']));
        $qtycollected=htmlspecialchars(strip_tags($_POST['qtycollected']));
        $motiveCollected=htmlspecialchars(strip_tags($_POST['motiveCollected']));
				$imageState=!empty($_FILES["imageState"]["name"])
				? sha1_file($_FILES['imageState']['tmp_name']) . "-" . basename($_FILES["imageState"]["name"])
				: "";
		$imageState=htmlspecialchars(strip_tags($imageState));

        $stmt->bindParam(':dateCollected', $dateCollected);
        $stmt->bindParam(':expectedReturn', $expectedReturn);
        $stmt->bindParam(':itemId', $id);
        $stmt->bindParam(':collectorId', $collectorId);
        $stmt->bindParam(':qtycollected', $qtycollected);
        $stmt->bindParam(':motiveCollected', $motiveCollected);
        $stmt->bindParam(':imageState', $imageState);

        if($stmt->execute()){
			header("Location: checkout_equipment.php");
			
			if($imageState){
				 
					// sha1_file() function is used to make a unique file name
					$target_directory = "equipmentstate/";
					$target_file = $target_directory . $imageState;
					$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
				 
					// error message is empty
					$file_upload_error_messages="";
					// make sure that file is a real image
					$check = getimagesize($_FILES["imageState"]["tmp_name"]);
					if($check!==false){
						// submitted file is an image
					}else{
						$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
					}
					// make sure certain file types are allowed
					$allowed_file_types=array("jpg", "jpeg", "png", "gif");
					if(!in_array($file_type, $allowed_file_types)){
						$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
					}
					// make sure file does not exist
					if(file_exists($target_file)){
						$file_upload_error_messages.="<div>Image already exists. Try to change file name.</div>";
					}
					// make sure submitted file is not too large, can't be larger than 1 MB
					if($_FILES['imageState']['size'] > (5120000)){
						$file_upload_error_messages.="<div>Image must be less than 5 MB in size.</div>";
					}
					// make sure the 'uploads' folder exists
					// if not, create it
					if(!is_dir($target_directory)){
						mkdir($target_directory, 0777, true);
					}
					// if $file_upload_error_messages is still empty
					if(empty($file_upload_error_messages)){
						// it means there are no errors, so try to upload the file
						if(move_uploaded_file($_FILES["imageState"]["tmp_name"], $target_file)){
							// it means photo was uploaded
						}else{
							echo "<div class='alert alert-danger'>
								<div>Unable to upload photo.</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					 
					// if $file_upload_error_messages is NOT empty
					else{
						// it means there are some errors, so show them to user
						echo "<div class='alert alert-danger'>
							<div>{$file_upload_error_messages}</div>
							<div>Update the record to upload photo.</div>
						</div>";
					}
				}
				
			
        }else{
            echo "<div class='alert alert-danger'>Error!.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>