<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
	include "database/config2.php";
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Brand not found.');

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Brands
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<?php
$retrique = "SELECT * FROM itemsbrand WHERE id=$id";
$retristmt = $conn->prepare($retrique);
$retristmt->execute();
$retrirow = $retristmt->fetch(PDO::FETCH_ASSOC);

if(isset($_POST['editBrand'])){
	$updquery = "UPDATE itemsbrand SET name=:name WHERE id=$id";
	$updstmt = $conn->prepare($updquery);
	
	$name = htmlspecialchars(strip_tags($_POST['brandName']));
	$updstmt->bindParam(':name', $name);

		if (!empty($_FILES["brandLogo"]["name"])){
			
			
			$imgeditingquery = "UPDATE itemsbrand SET image=:image WHERE id = $id";
			
			$editingimgstmt = $conn->prepare($imgeditingquery);

			$image=!empty($_FILES["brandLogo"]["name"])
					? sha1_file($_FILES['brandLogo']['tmp_name']) . "-" . basename($_FILES["brandLogo"]["name"])
					: "";
			$image=htmlspecialchars(strip_tags($image));		
			
			
			$editingimgstmt->bindParam(':image', $image);
			
			if(($updstmt->execute()) && ($editingimgstmt->execute())){
				echo "<div class='alert alert-success'>Record was updated.</div>";
			
			if($image){
				 
					// sha1_file() function is used to make a unique file name
					$target_directory = "itembrandImages/";
					$target_file = $target_directory . $image;
					$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
				 
					// error message is empty
					$file_upload_error_messages="";
					// make sure that file is a real image
					$check = getimagesize($_FILES["brandLogo"]["tmp_name"]);
					if($check!==false){
						// submitted file is an image
					}else{
						$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
					}
					// make sure certain file types are allowed
					$allowed_file_types=array("jpg", "jpeg", "png", "gif");
					if(!in_array($file_type, $allowed_file_types)){
						$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
					}
					// make sure file does not exist
					if(file_exists($target_file)){
						$file_upload_error_messages.="<div>Image already exists. Try to change file name.</div>";
					}
					// make sure submitted file is not too large, can't be larger than 1 MB
					if($_FILES['brandLogo']['size'] > (5120000)){
						$file_upload_error_messages.="<div>Image must be less than 5 MB in size.</div>";
					}
					// make sure the 'uploads' folder exists
					// if not, create it
					if(!is_dir($target_directory)){
						mkdir($target_directory, 0777, true);
					}
					// if $file_upload_error_messages is still empty
					if(empty($file_upload_error_messages)){
						// it means there are no errors, so try to upload the file
						if(move_uploaded_file($_FILES["brandLogo"]["tmp_name"], $target_file)){
							// it means photo was uploaded
						}else{
							echo "<div class='alert alert-danger'>
								<div>Unable to upload photo.</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					 
					// if $file_upload_error_messages is NOT empty
					else{
						// it means there are some errors, so show them to user
						echo "<div class='alert alert-danger'>
							<div>{$file_upload_error_messages}</div>
							<div>Update the record to upload photo.</div>
						</div>";
					}
				}
			
				} else {
					echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";
				}
			} else if (empty($_FILES["brandLogo"]["name"])){
				if($updstmt->execute()){
					echo "<div class='alert alert-success'>Record was updated.</div>";				
				} else {
					echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";					
				}
			}
}
?>


<section class="container">
    <div class="row">
        <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Edit Brand</h5></div>
                    <div class="card-body">
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post"  enctype="multipart/form-data">
                            <div class="row">
                                <div class="col col-sm-8">
                                    <input type="text" name="brandName" placeholder="Brand Name" value="<?php echo htmlspecialchars($retrirow['name'], ENT_QUOTES) ?>" required class="form-control">
                                </div>
                                <div class="col col-sm-4">
                                    <input type="file" name="brandLogo" placeholder="Logo" class="form-control">
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="editBrand" type="submit" class="button">Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-6">
            
        </div>
    </div>
</section>






<?php
include "includes/footer.php" ;
?>