<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	include "database/config2.php";
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Course
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="homeCard">
			<div class="card-content">
				<div class="card-header">
					<h3>Edit Course </h3>
				</div>
				<div class="card-body">
				
				<?php
					$editcourse = "SELECT * FROM atbicourses WHERE id=$id";
					$editstmt = $conn->prepare($editcourse);
					$editstmt->execute();
					$editrow = $editstmt->fetch(PDO::FETCH_ASSOC);
					
					if(isset($_POST['updatecourse'])){
						$updatecourse = "UPDATE atbicourses SET name=:name, code=:code, standard=:standard, cv=:cv WHERE id=:id";
						$updatestmt = $conn->prepare($updatecourse);
						
						$name=htmlspecialchars(strip_tags($_POST['courseName']));
						$code=htmlspecialchars(strip_tags($_POST['courseCode']));		
						$standard=htmlspecialchars(strip_tags($_POST['standard']));		
						$cv=htmlspecialchars(strip_tags($_POST['cv']));		
						
						$updatestmt->bindParam(':name', $name);
						$updatestmt->bindParam(':code', $code);
						$updatestmt->bindParam(':standard', $standard);
						$updatestmt->bindParam(':cv', $cv);
						$updatestmt->bindParam(':id', $id);
						if($updatestmt->execute()){
							echo "<div class='alert alert-success'>Course was updated.</div>";
						} else {
							echo "<div class='alert alert-danger'>Unable to update course</div>";
							
						}
					}
				?>
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
						<div class="row">
							<div class="col col-3" id="MemberDiv">
								<label for="memberName">Course Title <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Course Title" name="courseName" list="memberName" value="<?php echo htmlspecialchars($editrow['name'], ENT_QUOTES);  ?>">
								
							</div>
							
							<div class="col col-3">
                                <label for="badge">Course Code <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Badge" value="<?php echo htmlspecialchars($editrow['code'], ENT_QUOTES);  ?>" name="courseCode" readonly required>
							</div>
							<div class="col col-2">
								<label for="submission">Standard <span class="reqired">*</span></label>
								<select class="form-control" type="text" id="" placeholder="standard" name="standard" required>
									<option value="<?php echo htmlspecialchars($editrow['name'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($editrow['standard'], ENT_QUOTES);  ?></option>
									<option value="Major">Major</option>
									<option value="Minor">Minor</option>
								</select>
							</div>
							<div class="col col-2">
								<label for="date">Credit Value <span class="reqired">*</span></label>
								<input class="form-control" type="number" max="6" id="date" placeholder="CV" value="<?php echo htmlspecialchars($editrow['cv'], ENT_QUOTES);  ?>" name="cv" required>
							</div>
						</div>
						<br>
                        <div class="main text-center">
                            <button name="updatecourse" type="submit" class="button"><i class="fas fa-sync-alt"></i> Update</button>
                        </div>
                        <br>
                        <hr>
                        <br>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>




<?php
include "includes/footer.php" ;
?>