<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Teacher
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>
<?php
	include 'database/config2.php';

	$pickteacherInfo = "SELECT * FROM atbilecturer WHERE id=:id";
	$pickteacherstatement = $conn->prepare($pickteacherInfo);
	$pickteacherstatement->bindParam(':id', $id);
	$pickteacherstatement->execute();
	$pickteacherrow = $pickteacherstatement->fetch(PDO::FETCH_ASSOC);

if(isset($_POST['updateTeacher'])){
	$tname = htmlspecialchars(strip_tags($_POST['teacherName']));
	$taddress = htmlspecialchars(strip_tags($_POST['address']));
	$ttelephone = htmlspecialchars(strip_tags($_POST['telephone']));
	$tcourse = htmlspecialchars(strip_tags($_POST['course']));
	$toccupation = htmlspecialchars(strip_tags($_POST['occupation']));
	$tposition = htmlspecialchars(strip_tags($_POST['position']));
	
	$updateteacher = "UPDATE atbilecturer SET name=:name, address=:address, telephone=:telephone, courseId=:courseId, occupation=:occupation, positionId=:positionId WHERE id=:id";
	$updateteacherstatement = $conn->prepare($updateteacher);
	$updateteacherstatement->bindParam(':name', $tname);
	$updateteacherstatement->bindParam(':address', $taddress);
	$updateteacherstatement->bindParam(':telephone', $ttelephone);
	$updateteacherstatement->bindParam(':courseId', $tcourse);
	$updateteacherstatement->bindParam(':occupation', $toccupation);
	$updateteacherstatement->bindParam(':positionId', $tposition);
	$updateteacherstatement->bindParam(':id', $id);
	
	if($updateteacherstatement->execute()){
			echo "<div class='alert alert-success'>Teacher information has been updated.</div>";
		
	} else {
					echo "<div class='alert alert-danger'>Error occured.</div>";

	}
	
}

?>

<section>
	<div class="container">
		<div class="row">
            <div class="col col-md-2"></div>
            <div class="col col-md-8">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header">
                            <h3>Edit lecturer </h3>
                        </div>
                        <div class="card-body">
                            <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="POST">
                                <div class="row">
                                    <div class="col col-3" id="MemberDiv">
                                        <label for="memberName">Teacher's Name<span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="" placeholder="Prof's Name" name="teacherName" list="memberName" value="<?php echo htmlspecialchars($pickteacherrow['name'], ENT_QUOTES)?>">
                                        
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Address <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="date" placeholder="Place of stay" name="address" value="<?php echo htmlspecialchars($pickteacherrow['address'], ENT_QUOTES)?>" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Telephone <span class="reqired">*</span></label>
                                        <input class="form-control" type="number" id="date" placeholder="tel" name="telephone" value="<?php echo htmlspecialchars($pickteacherrow['telephone'], ENT_QUOTES)?>" required>
                                    </div>

                                    <div class="col col-3">
                                        <label for="submission">Course <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="course" required>
										
										<?php
											$coursenamesql = "SELECT * FROM atbicourses WHERE id=:id";
											$coursenamestatement = $conn->prepare($coursenamesql);
											$coursenamestatement->bindParam(':id', $pickteacherrow['courseId']);
											$coursenamestatement->execute();
											$coursenamerow = $coursenamestatement->fetch(PDO::FETCH_ASSOC);
										?>
										
                                            <option value="<?php echo htmlspecialchars($pickteacherrow['courseId'], ENT_QUOTES)?>"><?php echo htmlspecialchars($coursenamerow['name'], ENT_QUOTES)?></option>
											<?php
												$coursesql = "SELECT * FROM atbicourses WHERE id!=:id";
												$coursestatement = $conn->prepare($coursesql);
												$coursestatement->bindParam(':id', $coursenamerow['id']);
												$coursestatement->execute();
												while($courserow = $coursestatement->fetch(PDO::FETCH_ASSOC)){
													echo "<option value='{$courserow['id']}'>{$courserow['name']}</option>";
												}
											?>
                                        </select>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Occupation <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="date" placeholder="Occupation" name="occupation" value="<?php echo htmlspecialchars($pickteacherrow['occupation'], ENT_QUOTES)?>" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="submission">Position</label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="position">
										<?php
											$office123 = "SELECT * FROM atbioffice WHERE id=:id";
											$office123statement = $conn->prepare($office123);
											$office123statement->bindParam(':id', $pickteacherrow['positionId']);
											$office123statement->execute();
											$office123row = $office123statement->fetch(PDO::FETCH_ASSOC);
											
											if($pickteacherrow['positionId'] == 0){
												echo "<option value='0'>Normal Teacher</option>";
											} else {
												?>
												<option value="<?php echo htmlspecialchars($pickteacherrow['positionId'], ENT_QUOTES)?>"><?php echo htmlspecialchars($office123row['name'], ENT_QUOTES)?></option>
												<option value="0">Normal Teacher</option>
												<?php 
											}
										
												$positionquery = "SELECT * FROM atbioffice WHERE id!=:id";
												$positionstatement = $conn->prepare($positionquery);
												$positionstatement->bindParam(':id', $pickteacherrow['positionId']);
												$positionstatement->execute();
												while($positionrow = $positionstatement->fetch(PDO::FETCH_ASSOC)){
													echo "<option value='{$positionrow['id']}'>{$positionrow['name']}</option>";
												}
											?>
                                        </select>
                                    </div>
                                </div>
                                <br>
                                <div class="main text-center">
                                    <button name="updateTeacher" type="submit" class="button"><i class="fas fa-sync-alt"></i> Update</button>
                                </div>
                                <br>
                                <hr>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-2"></div>
        </div>
	</div>
</section>

<?php
include "includes/footer.php" ;
?>