<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Positions
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<?php
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
 
include 'database/config2.php';
 
try {
    $query = "SELECT * FROM atbioffice WHERE id = ? LIMIT 0,1";
    $stmt = $conn->prepare( $query );
    $stmt->bindParam(1, $id);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
}
 
// show error
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}
if($_POST){
 
    try{
        $query2 = "UPDATE atbioffice SET name=:name, description=:description WHERE id = :id";
        $stmt2 = $conn->prepare($query2);
 
        $name=htmlspecialchars(strip_tags($_POST['officeName']));
        $description=htmlspecialchars(strip_tags($_POST['descriptionName']));
 
        $stmt2->bindParam(':name', $name);
        $stmt2->bindParam(':description', $description);
        $stmt2->bindParam(':id', $id);
 
        if($stmt2->execute()){
            echo "<div class='alert alert-success'>Record successfully updated</div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";
        }
 
    }
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
<section class="container">
    <div class="row">
        <div class="col col-md-5">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Edit Office</h5></div>
                    <div class="card-body">
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
                            <div class="row">
                                <div class="col col-sm-6">
                                    <input type="text" name="officeName" value="<?php echo htmlspecialchars($row['name'], ENT_QUOTES);  ?>" placeholder="Office" required class="form-control">
                                </div>
                                <div class="col col-sm-6">
                                    <textarea name="descriptionName" id="" cols="30" placeholder="Job Description" rows="3" class="form-control"><?php echo htmlspecialchars($row['description'], ENT_QUOTES);  ?></textarea>
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="updateOffice" type="submit" class="button"><i class="fas fa-sync-alt"></i> Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>






<?php
include "includes/footer.php" ;
?>