<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Church Equipments
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>
				<?php
				
				
if(isset($_POST['addInventoryItem'])){
 
    // include database connection
    include 'database/config2.php';
 
    try{
		
        $purchaseDate=htmlspecialchars(strip_tags($_POST['purchaseDate']));
        $itemName=htmlspecialchars(strip_tags($_POST['itemName']));
        $itembrand=htmlspecialchars(strip_tags($_POST['itembrand']));
        $itemcategory=htmlspecialchars(strip_tags($_POST['itemcategory']));
        $itemQuantity=htmlspecialchars(strip_tags($_POST['itemQuantity']));
        $itemDescription=htmlspecialchars(strip_tags($_POST['itemDescription']));
        $itemCost=htmlspecialchars(strip_tags($_POST['itemCost']));
        $itemWarranti=htmlspecialchars(strip_tags($_POST['itemWarranti']));
		
				$itemImage=!empty($_FILES["itemImage"]["name"])
				? sha1_file($_FILES['itemImage']['tmp_name']) . "-" . basename($_FILES["itemImage"]["name"])
				: "";
		$itemImage=htmlspecialchars(strip_tags($itemImage));
		$referenceTime = time();
		$expiredTime = $referenceTime + ($itemWarranti * 365 * 24 * 60 * 60);

		$query = "INSERT INTO inventoryequipments SET pur_date=:pur_date, name=:name, brandId=:brandId, categoryId=:categoryId, image=:image, quantity=:quantity, description=:description, cost=:cost, warranty=:warranty, 
		referenceTime=:referenceTime, expiredTime=:expiredTime";			
		$stmt = $conn->prepare($query);
 
        // bind the parameters
        $stmt->bindParam(':pur_date', $purchaseDate);
        $stmt->bindParam(':name', $itemName);
        $stmt->bindParam(':brandId', $itembrand);
        $stmt->bindParam(':categoryId', $itemcategory);
        $stmt->bindParam(':image', $itemImage);
        $stmt->bindParam(':quantity', $itemQuantity);
        $stmt->bindParam(':description', $itemDescription);
        $stmt->bindParam(':cost', $itemCost);
        $stmt->bindParam(':warranty', $itemWarranti);
        $stmt->bindParam(':referenceTime', $referenceTime);
        $stmt->bindParam(':expiredTime', $expiredTime);
		
		if($stmt->execute()){
					echo "<div class='alert alert-success'>Record was saved.</div>";
					
						
				if($itemImage){
				 
					// sha1_file() function is used to make a unique file name
					$target_directory = "inventoryequipments/";
					$target_file = $target_directory . $itemImage;
					$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
				 
					// error message is empty
					$file_upload_error_messages="";
					// make sure that file is a real image
					$check = getimagesize($_FILES["itemImage"]["tmp_name"]);
					if($check!==false){
						// submitted file is an image
					}else{
						$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
					}
					// make sure certain file types are allowed
					$allowed_file_types=array("jpg", "jpeg", "png", "gif");
					if(!in_array($file_type, $allowed_file_types)){
						$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
					}
					
					// make sure submitted file is not too large, can't be larger than 1 MB
					if($_FILES['itemImage']['size'] > (5120000)){
						$file_upload_error_messages.="<div>Image must be less than 5 MB in size.</div>";
					}
					// make sure the 'uploads' folder exists
					// if not, create it
					if(!is_dir($target_directory)){
						mkdir($target_directory, 0777, true);
					}
					// if $file_upload_error_messages is still empty
					if(empty($file_upload_error_messages)){
						// it means there are no errors, so try to upload the file
						if(move_uploaded_file($_FILES["itemImage"]["tmp_name"], $target_file)){
							// it means photo was uploaded
						}else{
							echo "<div class='alert alert-danger'>
								<div>Unable to upload photo.</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					 
					// if $file_upload_error_messages is NOT empty
					else{
						// it means there are some errors, so show them to user
						echo "<div class='alert alert-danger'>
							<div>{$file_upload_error_messages}</div>
							<div>Update the record to upload photo.</div>
						</div>";
					}
				}
					
					
					
				}else{
					echo "<div class='alert alert-danger'>Unable to save record.</div>";
				}
	}
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
<section>
    <div class="container">
        <div class="homeCard">
            <div class="card-header"><h3>Register New Equipment</h3></div>
            <div class="card-body">
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post"  enctype="multipart/form-data">
                    <div class="row">
                        <div class="col col-md-4">
                            <label for="purchaseDate">Purchase Date <span class="reqired">*</span></label>
                            <input type="date" name="purchaseDate" max="<?php echo date('Y-m-d'); ?>" class="form-control" required>
                        </div>
                        <div class="col col-md-4">
                            <label for="itemName">Item Name <span class="reqired">*</span></label>
                            <input type="text" name="itemName" placeholder="Name of equipment" class="form-control" required>
                        </div>
                        <div class="col col-md-2">
                            <label for="itembrand">Item Brand <span class="reqired">*</span></label>
                            <select type="date" name="itembrand" class="form-control" required>
							<option value=""></option>
							<?php
								$brandque = "SELECT * FROM itemsbrand ORDER BY id DESC";
								$brandquestmt = $conn->prepare($brandque);
								$brandquestmt->execute();
								
								while($brandquerow = $brandquestmt->fetch(PDO::FETCH_ASSOC)){
										echo "<option value='{$brandquerow['id']}'>{$brandquerow['name']}</option>";
								}
							?>
							
                            </select>
                        </div>
                        <div class="col col-md-2">
                            <label for="itembrand">Category <span class="reqired">*</span></label>
                            <select type="date" name="itemcategory" class="form-control" required>
							<option value=""></option>
							<?php
								$categoryque = "SELECT * FROM itemscategory ORDER BY id DESC";
								$categoryquestmt = $conn->prepare($categoryque);
								$categoryquestmt->execute();
								
								while($categoryquerow = $categoryquestmt->fetch(PDO::FETCH_ASSOC)){
										echo "<option value='{$categoryquerow['id']}'>{$categoryquerow['name']}</option>";
								}
							?>                            
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-md-2">
                            <label for="itemImage">Image</label>
                            <input type="file" name="itemImage" class="form-control" >
                        </div>
                        <div class="col col-md-1">
                            <label for="itemImage">Quantity <span class="reqired">*</span></label>
                            <input type="number" name="itemQuantity" class="form-control" required>
                        </div>
                        <div class="col col-md-5">
                            <label for="naration">Describe this item</label>
                            <textarea cols="30" rows="3" name="itemDescription" class="form-control"></textarea>
                        </div>
                        <div class="col col-md-2">
                            <label for="cost">Oririnal Cost <span class="reqired">*</span></label>
                            <input type="number" name="itemCost" class="form-control" placeholder="Cost" required>
                        </div>
                        <div class="col col-md-2">
                            <label for="Warranti">Warranti (yrs)<span class="reqired">*</span></label>
                            <input type="number" name="itemWarranti" class="form-control" placeholder="Warranti" required>
                        </div>
                    </div>
                    <br>
                    <div class="main text-center">
                        <button name="addInventoryItem" type="submit" class="button">Register</button>
                    </div>
                </form>                
            </div>
        </div>
    </div>
</section>


<section>
	<div class="container-fluid homeCard">

		<div class="row">
        <div class="col col-md-12">
            <h1>Equipment Database</h1>
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
					<?php
						$invenquery = "SELECT * FROM inventoryequipments ORDER BY id DESC";
						$invenstmt = $conn->prepare($invenquery);
						$invenstmt->execute();
						$invennumber = $invenstmt->rowCount();
						if($invennumber > 0){
							echo "
							                    <table id='table' class='table table-striped'
													data-show-export='true'
													data-show-print='true'
													data-pagination='true'
													data-toggle='table'
													data-side-pagination='server'
													data-click-to-select='true'
													data-toolbar='#toolbar'
													data-show-toggle='true'
													data-show-columns='true'
												>
													<thead>
														<tr>
															<th scope='col'>#SKU</th>
															<th scope='col'>Purchase Date</th>
															<th scope='col'>Name</th>
															<th scope='col'>Brand</th>
															<th scope='col'>Category</th>
															<th scope='col'>Image</th>
															<th scope='col'>Narration</th>
															<th scope='col'>Quantity</th>
															<th scope='col'>Cost (CFA)</th>
															<th scope='col'>Warranti (Yrs)</th>
															<th scope='col'>Ets. Depreciation (%)</th>
															<th scope='col'>Scrap Value (CFA)</th>
															<th scope='col'>Action</th>
														</tr>
													</thead>    
													<tbody id='myDepts'>
							";
							
							while($invenquerow = $invenstmt->fetch(PDO::FETCH_ASSOC)){
								$mycat = "SELECT * FROM itemscategory WHERE id=:id";
								$mycatstmt = $conn->prepare($mycat);
								$mycatstmt->bindParam(':id', $invenquerow['categoryId']);
								$mycatstmt->execute();
								$mycatrow = $mycatstmt->fetch(PDO::FETCH_ASSOC);
								
								$mybrand = "SELECT * FROM itemsbrand WHERE id=:id";
								$mybrandstmt = $conn->prepare($mybrand);
								$mybrandstmt->bindParam(':id', $invenquerow['brandId']);
								$mybrandstmt->execute();
								$mybrandrow = $mybrandstmt->fetch(PDO::FETCH_ASSOC);
								
								$worthPerSec = $invenquerow['cost']/($invenquerow['expiredTime'] - $invenquerow['referenceTime']);
								if($invenquerow['expiredTime'] >= time()){
									$presentWorth = ($invenquerow['expiredTime'] - time()) * $worthPerSec;
								} else {
									$presentWorth = 0;
								}
								
								echo "
								<tr>
									<th scope='row'>{$invenquerow['id']}</th>
									<td>".date('d M Y', strtotime($invenquerow['pur_date']))."</td>
									<td>{$invenquerow['name']}</td>
									<td><span class='badge bg-success'>{$mybrandrow['name']}</span></td>
									<td><span class='badge bg-warning'>{$mycatrow['name']}</span></td>
									<td>
										<a href='javascript: void(0);' class='team-member' data-toggle='tooltip' data-placement='top' title='' data-original-title='Neil Wing'>";
										echo $invenquerow['image'] ? "<img src='inventoryequipments/{$invenquerow['image']}' class='rounded-circle avatar-xs' alt='' >" : ""; 
										echo "</a>
									</td>
									<td>{$invenquerow['description']}</td>
									<td>{$invenquerow['quantity']}</td>
									<td>".number_format($invenquerow['cost'])." frs</td>
									<td>{$invenquerow['warranty']}</td>
									<td>
										<span class='text-success'>";
										$thepercentagehere = 100/($invenquerow['warranty']);
										echo number_format($thepercentagehere)."%</span>
										<div class='progress mt-1 ' data-height='8' style='height: 8px;'>
											<div class='progress-bar l-bg-green' role='progressbar' data-width='25%' aria-valuenow='20' aria-valuemin='0' aria-valuemax='100' style='width: {$thepercentagehere}%;'></div>
										</div>
									</td>
									<td>".number_format($presentWorth)."</td>
									<td>
										<a href='edit_equipment.php?id={$invenquerow['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
											<button onclick='delete_equipments({$invenquerow['id']});' class='btn btn-primary' id='deletusers'>
                                                <i class='fas fa-trash-alt'></i>
                                            </button>
									</td>
								</tr>
								
								";
							}
							echo "
							</tbody>
                    </table>
							";
						} else {
					echo "<div class='alert alert-danger'>No equipment registered yet.</div>";
							
						}
					?>

                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        
      })
    }).trigger('change')
  })
</script>


<script type='text/javascript'>
// confirm record deletion
function delete_equipments( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteEquipments.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>

<?php
include "includes/footer.php" ;
?>