<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
		
	$semester=isset($_GET['semester']) ? $_GET['semester'] : die('ERROR: Semester not found.');
	$courseId=isset($_GET['courseId']) ? $_GET['courseId'] : die('ERROR: Course ID not found.');
    // include database connection
include 'database/config2.php';
 
    try{
		
		
        $query = "SELECT * FROM atbicourses WHERE id=:id";
 
        // prepare query for execution
        $stmt = $conn->prepare($query);
 

        $stmt->bindParam(':id', $courseId);
		$stmt->execute();
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Second Semester Exam Marks
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="">
            <div class="card-contents">
                <div class="">
                    <h3>Course Details <span class="reqired">*</span></h3>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col col-md-12">
                            <div class="">
                                <div class="card-content">
                                    <div class="card-body">
                                        <form action="exam_marks.php" method="POST">
                                            <div class="row">
                                                <div class="col col-4">
                                                    <input type="text" class="form-control" Placeholder="<?php echo htmlspecialchars($row['name'], ENT_QUOTES)?>" readonly>
                                                </div>
                                                <div class="col col-3">
                                                    <input type="text" class="form-control" Placeholder="<?php echo htmlspecialchars($row['code'], ENT_QUOTES)?>" readonly>
                                                </div>
                                                <div class="col col-2">
                                                    <input type="text" class="form-control" Placeholder="<?php echo htmlspecialchars($row['standard'], ENT_QUOTES)?>" readonly>
                                                </div>
                                                <div class="col col-2">
                                                    <input type="text" class="form-control" Placeholder="<?php echo htmlspecialchars($row['cv'], ENT_QUOTES)?> CV" readonly>
                                                </div>
                                                <div class="col col-1">
                                                    <input type="text" class="form-control" Placeholder=".../70" readonly>
                                                </div>
                                            </div>
                                            <br>
                                            <br>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
	</div>
</section>

<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-3"></div>
                <div class="col col-md-6">
                        <div class="homeCard">
                            <div class="card-content">
                                
							<?php
							
								$studquery = "SELECT * FROM atbistudents WHERE isStudent=1 ORDER BY id ASC";
								$studstmt=$conn->prepare($studquery);
								$studstmt->execute();
								$studnum=$studstmt->rowCount();
								if($studnum > 0){
									echo "
										<div class='card-header'><h5><i class='fas fa-list'></i> Record Exam Marks for {$row['name']}</h5></div>
											<div class='card-body'>
												<table id='table' class='table table-bordered table-striped'>
													<thead>
														<tr>
															<th scope='col'>Matricule</th>
															<th scope='col'>Marks (/70)</th>
															<th scope='col'>Bonuses</th>
															<th scope='col'>Action</th>
														</tr>
													</thead> 
													<tbody>
									";
									while($studrow=$studstmt->fetch(PDO::FETCH_ASSOC)){
										$majorstudquery = "SELECT * FROM camarks WHERE studentId=:studentId AND semester=:semester AND courseId=:courseId AND isExam=1 ";
										$majorstudstmt = $conn->prepare($majorstudquery);
										$majorstudstmt->bindParam(':studentId', $studrow['id']);
										$majorstudstmt->bindParam(':semester', $semester);
										$majorstudstmt->bindParam(':courseId', $courseId);
										$majorstudstmt->execute();
										$majorstudnum=$majorstudstmt->rowCount();
										if($majorstudnum == 0){
										echo "
											<tr>
											<form action='submitExamMarks.php?id={$studrow['id']}&semester={$semester}&courseId={$courseId}' method='post'>
                                                <td>{$studrow['matricule']}</td>
                                                <td><input type='number' name='mark' max='70' class='form-control' required></td>
                                                <td><input type='number' name='bonus' max='70' class='form-control'></td>
                                                <td>
													<div class='main text-center'>
														<input name='submitMarks' type='submit' class='button' value='Submit'>
													</div>
												</td>
											</form>
                                                
                                            </tr>
										";
										}
										
									}
									echo "
										</tbody> 
                                    </table>
									";
								} else {
									echo "<div class='alert alert-danger'>Sorry there are no available ATBI students yet</div>";									
								}
							?>
                            </div>
                        </div>                      
                </div>
            <div class="col col-md-3"></div>
        </div>
    </div>
</section>




<?php
include "includes/footer.php" ;
?>