<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Check-in
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="tab">
		<button class="tablinks" onclick="openCity(event, 'Members')" id="defaultOpen">Members</button>
		<button class="tablinks" onclick="openCity(event, 'Appointments')">Appointments</button>
	</div>
<?php
				
				
if(isset($_POST['permit'])){
 
    // include database connection
    include 'database/config2.php';
 
    try{
		
		$entrancetype=htmlspecialchars(strip_tags($_POST['entrancetype']));
		
		if (empty($_POST['memberName'])){
			$memberName = "";
		}
		else if (!empty($_POST['memberName'])){
			$memberName=htmlspecialchars(strip_tags($_POST['memberName']));
		}
		if (empty($_POST['motive'])){
			$motive = "";
		}
		else if (!empty($_POST['motive'])){
			$motive=htmlspecialchars(strip_tags($_POST['motive']));
		}
		if (empty($_POST['luggage'])){
			$luggage = "";
		}
		else if (!empty($_POST['luggage'])){
			$luggage=htmlspecialchars(strip_tags($_POST['luggage']));
		}
		if (empty($_POST['hascars'])){
			$hascars = "";
		}
		else if (!empty($_POST['hascars'])){
			$hascars=htmlspecialchars(strip_tags($_POST['hascars']));
		}
		if (empty($_POST['gate'])){
			$gate = "";
		}
		else if (!empty($_POST['gate'])){
			$gate=htmlspecialchars(strip_tags($_POST['gate']));
		}
		if (empty($_POST['luggagetype'])){
			$luggagetype = "";
		}
		else if (!empty($_POST['luggagetype'])){
			$luggagetype=htmlspecialchars(strip_tags($_POST['luggagetype']));
		}
		if (empty($_POST['contents'])){
			$contents = "";
		}
		else if (!empty($_POST['contents'])){
			$contents=htmlspecialchars(strip_tags($_POST['contents']));
		}
		if (empty($_POST['remark'])){
			$remark = "";
		}
		else if (!empty($_POST['remark'])){
			$remark=htmlspecialchars(strip_tags($_POST['remark']));
		}
		if (empty($_POST['cartype'])){
			$matricule = "";
		}
		else if (!empty($_POST['cartype'])){
			$matricule=htmlspecialchars(strip_tags($_POST['cartype']));
		}
		if (empty($_POST['parking'])){
			$parkingLot = "";
		}
		else if (!empty($_POST['parking'])){
			$parkingLot=htmlspecialchars(strip_tags($_POST['parking']));
		}
		if (empty($_POST['visitorname'])){
			$visitorName = "";
		}
		else if (!empty($_POST['visitorname'])){
			$visitorName=htmlspecialchars(strip_tags($_POST['visitorname']));
		}
		if (empty($_POST['nid'])){
			$nidNumber = "";
		}
		else if (!empty($_POST['nid'])){
			$nidNumber=htmlspecialchars(strip_tags($_POST['nid']));
		}
		if (empty($_POST['tel'])){
			$telephone = "";
		}
		else if (!empty($_POST['tel'])){
			$telephone=htmlspecialchars(strip_tags($_POST['tel']));
		}
		if (empty($_POST['sex'])){
			$gender = "";
		}
		else if (!empty($_POST['sex'])){
			$gender=htmlspecialchars(strip_tags($_POST['sex']));
		}
		if (empty($_POST['details'])){
			$visitReason = "";
		}
		else if (!empty($_POST['details'])){
			$visitReason=htmlspecialchars(strip_tags($_POST['details']));
		}
		if (empty($_POST['code'])){
			$code = "";
		}
		else if (!empty($_POST['code'])){
			$code=htmlspecialchars(strip_tags($_POST['code']));
		}
		if($entrancetype == "Member"){
			$isMember = 1;
		}
		if($luggage == 'Yes'){
			$isLuggage = 1;
		}
		if($hascars == 'Yes'){
			$hasCarBike = 1;
		}
		
		$query2 = "SELECT * FROM members WHERE name=:name AND duplicated_id=0";
		$stmt2 = $conn->prepare($query2);
		$stmt2->bindParam(':name', $memberName);
		$stmt2->execute();
		$row2 = $stmt2->fetch(PDO::FETCH_ASSOC);
		$num2 = $stmt2->rowCount();
		$memberId = $row2['id'];
		
		$dateTime = date('Y-m-d H:i:s');
		
		$query = "INSERT INTO gate_checking SET isMember=:isMember, memberId=:memberId, motive=:motive, dateTime=:dateTime, isLuggage=:isLuggage, hasCarBike=:hasCarBike, entryGate=:entryGate, luggageType=:luggageType,
		contents=:contents, remark=:remark, matricule=:matricule, parkingLot=:parkingLot, visitorName=:visitorName, nidNumber=:nidNumber, telephone=:telephone, gender=:gender, visitReason=:visitReason, code=:code";			
		$stmt = $conn->prepare($query);
 
        // bind the parameters
        $stmt->bindParam(':isMember', $isMember);
        $stmt->bindParam(':memberId', $memberId);
        $stmt->bindParam(':motive', $motive);
        $stmt->bindParam(':dateTime', $dateTime);
        $stmt->bindParam(':isLuggage', $isLuggage);
        $stmt->bindParam(':hasCarBike', $hasCarBike);
        $stmt->bindParam(':entryGate', $gate);
        $stmt->bindParam(':luggageType', $luggagetype);
        $stmt->bindParam(':contents', $contents);
        $stmt->bindParam(':remark', $remark);
        $stmt->bindParam(':matricule', $matricule);
        $stmt->bindParam(':parkingLot', $parkingLot);
        $stmt->bindParam(':visitorName', $visitorName);
        $stmt->bindParam(':nidNumber', $nidNumber);
        $stmt->bindParam(':telephone', $telephone);
        $stmt->bindParam(':gender', $gender);
        $stmt->bindParam(':visitReason', $visitReason);
        $stmt->bindParam(':code', $code);
        if(($isMember == 1) && ($num2 == 0)){
			echo "<div class='alert alert-danger'>There's no registered member of this church with that name.</div>";			
		} else {
			if($stmt->execute()){
				header("Location: gate_receipt.php");				
				}else{
					echo "<div class='alert alert-danger'>Unable to save record.</div>";
				}
		}
	}
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
	<div id="Members" class="tabcontent">
		<div class="card">
			<div class="card-content">
				<div class="card-header">
					<h3>General Checkin Form</h3>
				</div>
				<div class="card-body">
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post" >
						<div class="row">
							<div class="col col-2">
								<label for="entrancetype">Entrance Type <span class="reqired">*</span></label>
								<select type="text" id="entrancetype" name="entrancetype" class="form-control" placeholder="entrancetype" required>
									<option disabled selected hidden></option>
									<option value="Member">Member</option>
									<option value="Visitor">Visitor</option>
								</select>
							</div>
							<div class="col col-3" id="MemberDiv">
								<label for="memberName">Member's Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Name of Member" name="memberName" list="memberName" required>
								<datalist id="memberName">
									<?php
										$someQuery = "SELECT * FROM members WHERE duplicated_id=0";
										$someStmt = $conn->prepare($someQuery);
										$someStmt->execute();
										while($someRow = $someStmt->fetch(PDO::FETCH_ASSOC)){
											echo "<option value='{$someRow['name']}'>{$someRow['name']}</option>";
										}
									?>
								</datalist>
							</div>
							<div class="col col-3" id="visitorDiv" class="">
								<label for="visitorname">Visitor's Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Name of Visitor" name="visitorname" list="visitorname">
								
									<br>
								<label for="nid">NID Number <span class="reqired">*</span></label>
								<input type="text" class="form-control" name="nid">
									<br>
								<label for="tel">Phone <span class="reqired">*</span></label>
								<input type="number" class="form-control" name="tel">
									<br>
								<label for="sex">Gender <span class="reqired">*</span></label>
								<select type="text" class="form-control" name="sex">
									<option disabled selected hidden></option>
									<option value="Male">Male</option>
									<option value="Female">Female</option>
								</select>
									<br>
								<label for="details">More Info</label>
								<textarea class="form-control" placeholder="Please futher explain the purpose of this visit so we may understand what you are doing here" name="details" id="" cols="30" rows="4"></textarea>
							</div>
							<div class="col col-3">
								<label for="motive">Motive <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Motive" name="motive" list="motive" required>
								<datalist id="motive" >
									<option value="Sunday Service">Sunday Service</option>
									<option value="Power Encounter">Power Encounter</option>
									<option value="Camp Holiday">Camp Holiday</option>
								</datalist>
							</div>
							<div class="col col-2">
								<label for="date">Date <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="date" placeholder="<?php echo date("l d M Y");?>" value="<?php echo date("l d M Y");?>" name="date" readonly>
							</div>
							<div class="col col-2">
								<label for="time">Time <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="date" placeholder="<?php echo date("h:i:sa");?>" value="<?php echo date("h:i:sa");?>" name="time" readonly>
							</div>
						</div>
						<br>
						<div class="row">
							<div class="col col-md-1">
								<label for="luggage">Luggage <span class="reqired">*</span></label>
                                <select type="text" id="luggage" name="luggage" class="form-control" placeholder="luggage" required>
								<option disabled selected hidden></option>
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                            <div class="col col-md-6" id="luggageDiv">
								Luggage Code:
								<input type="text" class="form-control luggagecode" value="#<?php echo(rand()); ?>" name="code" readonly style="float: right">
                                <div id="luggageInfo">
									<label for="luggagetype">Luggage Type<span class="reqired">*</span></label>
                                    <input class="form-control" type="text" id="" placeholder="Type of Luggage" name="luggagetype" list="luggageType">
                                    
									<br>
										<label for="contents">Contents</label>
										<input type="text" class="form-control" placeholder="Contents" name="contents">
									<br>
										<label for="remark">Remark</label>
										<textarea name="remark" id="" cols="30" rows="3" placeholder="Any Remark" class="form-control"></textarea>
									<br>
                                </div>
                            </div>
							<div class="col col-md-2">
								<label for="hascars">Has Car | Bike? <span class="reqired">*</span></label>
                                <select type="text" id="hascars" name="hascars" class="form-control" placeholder="hascars" required>
								<option disabled selected hidden></option>
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
							</div>
							<div class="col col-md-3" id="carDiv">
                                <div id="carInfo">
									<label for="cartype">Number Plate <span class="reqired">*</span></label>
                                    <input class="form-control" type="text" id="" placeholder="Liscence plate" name="cartype" list="carType" >
									<br>
									<label for="parking">Assign Parking Lot <span class="reqired">*</span></label>
									<select name="parking" id="parking" class="form-control" >
										<option disabled selected hidden></option>
										<option value="Lot #001">Lot #001</option>
										<option value="Lot #0354">Lot #0354</option>
										<option value="Lot #043">Lot #043</option>
										<option value="Lot #00578">Lot #00578</option>
									</select>
                                </div>
                            </div>
						</div>
						<br>
						<div class="col col-md-1">
							<label for="gate">Entry Gate <span class="reqired">*</span></label>
							<select type="text" id="gate" name="gate" class="form-control" placeholder="gate" required>
								<option disabled selected hidden></option>
								<option value="Main Gate">Main Gate</option>
								<option value="Shepherds Gate">Shepherds Gate</option>
							</select>
                        </div>

						<input type="text" name="ticketnumber" value="<?php echo(rand()); ?>" style="display:none">

                        <div class="main text-center">
                            <button name="permit" type="submit" class="button">Permit</button>
                        </div>
					</form>
				</div>
			</div>
		</div>
	</div>

	<div id="Appointments" class="tabcontent">
		<div class="card">
			<div class="card-content">
				<div class="card-header">
					<h3>Appointment Checkin Form</h3>
				</div>
				<div class="card-body">
					<form action="gate_receipt.php" method="POST">
						<div class="row">
							<div class="col col-2">
								<label for="appentrancetype">Entrance Type <span class="reqired">*</span></label>
								<select type="text" id="appentrancetype" name="appentrancetype" class="form-control" placeholder="appentrancetype" required>
									<option disabled selected hidden></option>
									<option value="Members">Member</option>
									<option value="Visitor">Visitor</option>
								</select>
							</div>
							<div class="col col-3" id="appMemberDiv">
								<label for="appmemberName">Member's Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Name of Member" name="appmemberName" list="memberName">
								<datalist id="appmemberName" >
									<option value="Sama Yanick">Sama Yanick</option>
									<option value="Ashime Larissa">Ashime Larissa</option>
								</datalist>
							</div>
							<div class="col col-3" id="appvisitorDiv" class="">
								<label for="appvisitorname">Visitor's Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Name of Member" name="appvisitorname" list="visitorname">
								<datalist id="appvisitorname" >
									<option value="Sama Yanick">Sama Yanick</option>
									<option value="Ashime Larissa">Ashime Larissa</option>
								</datalist>
									<br>
								<label for="nid">NID Number <span class="reqired">*</span></label>
								<input type="text" class="form-control" name="nid">
									<br>
								<label for="tel">Phone <span class="reqired">*</span></label>
								<input type="number" class="form-control" name="tel">
									<br>
								<label for="sex">Gender <span class="reqired">*</span></label>
								<select type="text" class="form-control" name="sex">
									<option value="Male">Male</option>
									<option value="Female">Female</option>
								</select>
									<br>
								<label for="details">More Info</label>
								<textarea class="form-control" placeholder="PLease futher explain this visit so we may understand what you are doing here in this perilous times else to no Go enter i swear to God" name="details" id="" cols="30" rows="4"></textarea>
							</div>
							<div class="col col-3">
								<label for="appointment">Motive <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Appointment" value="Appointment" name="appointment" list="motive" readonly>
							</div>
							<div class="col col-2">
								<label for="date">Date <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="date" placeholder="<?php echo date("l d M Y");?>" value="<?php echo date("l d M Y");?>" name="date" readonly>
							</div>
							<div class="col col-2">
								<label for="time">Time <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="date" placeholder="<?php echo date("h:i:sa");?>" value="<?php echo date("h:i:sa");?>" name="time" readonly>
							</div>
						</div>
						<br>
						<div class="row">
							<div class="col col-md-1">
								<label for="appluggage">Luggage <span class="reqired">*</span></label>
                                <select type="text" id="appluggage" name="appluggage" class="form-control" placeholder="appluggage" required>
                                    <option value="No">No</option>
                                    <option value="Yess">Yes</option>
                                </select>
                            </div>
                            <div class="col col-md-6" id="appluggageDiv">
								Luggage Code:
								<input type="text" class="form-control luggagecode" value="#<?php echo(rand()); ?>" name="contents" readonly style="float: right">
                                <div id="appluggageInfo">
									<label for="luggagetype">Luggage Type <span class="reqired">*</span></label>
                                    <input class="form-control" type="text" id="" placeholder="Type of Luggage" name="appluggagetype" list="appluggageType" >
                                    <datalist id="appluggageType" >
                                        <option value="Sacs and Motto">Sacs and Motto</option>
                                        <option value="Country Bag">Country Bag</option>
                                    </datalist>
									<br>
										<label for="contents">Contents</label>
										<input type="text" class="form-control" placeholder="Contents" name="contents">
									<br>
										<label for="remark">Remark</label>
										<textarea name="remark" id="" cols="30" rows="3" placeholder="Any Remark" class="form-control"></textarea>
									<br>
                                </div>
                            </div>
							<div class="col col-md-2">
								<label for="app">Has Car | Bike? <span class="reqired">*</span></label>
                                <select type="text" id="apphascars" name="apphascars" class="form-control" placeholder="apphascars" required>
                                    <option value="No">No</option>
                                    <option value="Yeso">Yes</option>
                                </select>
							</div>
							<div class="col col-md-3" id="appcarDiv">
                                <div id="appcarInfo">
									<label for="cartype">Matricule <span class="reqired">*</span></label>
                                    <input class="form-control" type="text" id="" placeholder="Liscence plate" name="cartype" list="carType" >
                                    <datalist id="carType" >
                                        <option value="AY516SW">AY516SW</option>
                                        <option value="AY516SW">AY516SW</option>
                                    </datalist>
									<br>
									<label for="parking">Assign Parking Lot <span class="reqired">*</span></label>
									<select name="parking" id="parking" class="form-control">
										<option disabled selected hidden></option>
										<option value="Lot #001">Lot #001</option>
										<option value="Lot #0354">Lot #0354</option>
										<option value="Lot #043">Lot #043</option>
										<option value="Lot #00578">Lot #00578</option>
									</select>
                                </div>
                            </div>
						</div>
						<br>
						<div class="col col-md-1">
							<label for="gate">Entry Gate <span class="reqired">*</span></label>
							<select type="text" id="gate" name="gate" class="form-control" placeholder="gate" required>
								<option disabled selected hidden></option>
								<option value="No">Main Gate</option>
								<option value="Yes">Shepherds Gate</option>
							</select>
                        </div>

						<!-- 	
							Ticket number auto generates from backend and adds on receipt frontend 
							while also stored in the database for verification purposes 
						-->
						<input type="text" name="ticketnumber" value="<?php echo(rand()); ?>" style="display:none">
						
                        <div class="main text-center">
                            <button name="permitTwo" type="submit" class="button">Permit</button>
                        </div>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>



<script>
	function openCity(evt, cityName) {
	var i, tabcontent, tablinks;
	tabcontent = document.getElementsByClassName("tabcontent");
	for (i = 0; i < tabcontent.length; i++) {
		tabcontent[i].style.display = "none";
	}
	tablinks = document.getElementsByClassName("tablinks");
	for (i = 0; i < tablinks.length; i++) {
		tablinks[i].className = tablinks[i].className.replace(" active", "");
	}
	document.getElementById(cityName).style.display = "block";
	evt.currentTarget.className += " active";
	}

	// Get the element with id="defaultOpen" and click on it
	document.getElementById("defaultOpen").click();


	// luggage registration
	$("#luggage").change(function() {
    if ($(this).val() == "Yes") {
      $('#luggageDiv').show();
      $('#luggageInfo').attr('required', '');
      $('#luggageInfo').attr('data-error', 'This field is required.');
    } else {
      $('#luggageDiv').hide();
      $('#luggageInfo').removeAttr('required');
      $('#luggageInfo').removeAttr('data-error');
    }
  });
  
  $("#luggage").trigger("change");

  // Car | Bile Registration
  $("#hascars").change(function() {
    if ($(this).val() == "Yes") {
      $('#carDiv').show();
      $('#carInfo').attr('required', '');
      $('#carInfo').attr('data-error', 'This field is required.');
    } else {
      $('#carDiv').hide();
      $('#carInfo').removeAttr('required');
      $('#carInfo').removeAttr('data-error');
    }
  });
  
  $("#hascars").trigger("change");

  // member name registration
  $("#entrancetype").change(function() {
    if ($(this).val() == "Member") {
      $('#MemberDiv').show();
      $('#memberName').attr('required', '');
      $('#memberName').attr('data-error', 'This field is required.');
    } else {
      $('#MemberDiv').hide();
      $('#memberName').removeAttr('required');
      $('#memberName').removeAttr('data-error');
    }
  });
  
  $("#entrancetype").trigger("change");


  // Visitors name registration
  $("#entrancetype").change(function() {
    if ($(this).val() == "Visitor") {
      $('#visitorDiv').show();
      $('#visitorname').attr('required', '');
      $('#visitorname').attr('data-error', 'This field is required.');
    } else {
      $('#visitorDiv').hide();
      $('#visitorname').removeAttr('required');
      $('#visitorname').removeAttr('data-error');
    }
  });
  
  $("#entrancetype").trigger("change");






    // member name registration
	$("#appentrancetype").change(function() {
    if ($(this).val() == "Members") {
      $('#appMemberDiv').show();
      $('#appmemberName').attr('required', '');
      $('#appmemberName').attr('data-error', 'This field is required.');
    } else {
      $('#appMemberDiv').hide();
      $('#appmemberName').removeAttr('required');
      $('#appmemberName').removeAttr('data-error');
    }
  });
  
  $("#appentrancetype").trigger("change");


  // Visitors name registration
  $("#appentrancetype").change(function() {
    if ($(this).val() == "Visitor") {
      $('#appvisitorDiv').show();
      $('#appvisitorname').attr('required', '');
      $('#appvisitorname').attr('data-error', 'This field is required.');
    } else {
      $('#appvisitorDiv').hide();
      $('#appvisitorname').removeAttr('required');
      $('#appvisitorname').removeAttr('data-error');
    }
  });
  
  $("#appentrancetype").trigger("change");


  	// luggage registration
	$("#appluggage").change(function() {
    if ($(this).val() == "Yess") {
      $('#appluggageDiv').show();
      $('#appluggageInfo').attr('required', '');
      $('#appluggageInfo').attr('data-error', 'This field is required.');
    } else {
      $('#appluggageDiv').hide();
      $('#appluggageInfo').removeAttr('required');
      $('#appluggageInfo').removeAttr('data-error');
    }
  });
  
  $("#appluggage").trigger("change");

  // Car | Bile Registration
  $("#apphascars").change(function() {
    if ($(this).val() == "Yeso") {
      $('#appcarDiv').show();
      $('#appcarInfo').attr('required', '');
      $('#appcarInfo').attr('data-error', 'This field is required.');
    } else {
      $('#appcarDiv').hide();
      $('#appcarInfo').removeAttr('required');
      $('#appcarInfo').removeAttr('data-error');
    }
  });
  
  $("#apphascars").trigger("change");
</script>
<?php
include "includes/footer.php" ;
?>