<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	include 'database/config2.php';
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Hospitality
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="homeCard">
			<div class="card-content">
				<div class="card-header">
					<h3>Add information</h3>
				</div>
				<div class="card-body">
				<?php
if(isset($_POST['hospitality'])){
 
    include 'database/config2.php';
 
    try{
 
        // insert query
        $query = "INSERT INTO hospitality SET memberId=:memberId, date=:date, purpose=:purpose, details=:details";
 
        $stmt = $conn->prepare($query);
		
        $memberId=htmlspecialchars(strip_tags($_POST['member']));
        $date=htmlspecialchars(strip_tags($_POST['date']));
        $purpose=htmlspecialchars(strip_tags($_POST['purpose']));
        $details=htmlspecialchars(strip_tags($_POST['details']));
 
        // bind the parameters
        $stmt->bindParam(':memberId', $memberId);
        $stmt->bindParam(':date', $date);
        $stmt->bindParam(':purpose', $purpose);
        $stmt->bindParam(':details', $details);
 
        if($stmt->execute()){
            echo "<div class='alert alert-success'>Record was saved.</div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to save record.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
						<div class="row">
							<div class="col col-4" id="MemberDiv">
                                <label for="submission">Members Name <span class="reqired">*</span></label>
								<select class="form-control" type="text" id="" placeholder="submission" name="member" required>
									<option value=""></option>
									<?php
										$memQue = "SELECT * FROM members WHERE duplicated_id=0";
										$memQuestmt = $conn->prepare($memQue);
										$memQuestmt->execute();
										while($memQuerow = $memQuestmt->fetch(PDO::FETCH_ASSOC)){
											echo "<option value='{$memQuerow['id']}'>{$memQuerow['name']}</option>";
										}
									?>

								</select>
							</div>
							
							<div class="col col-4">
                                <label for="badge">Date <span class="reqired">*</span></label>
								<input class="form-control" type="date" id="" placeholder="Badge" max=<?php echo date('Y-m-d'); ?> value="" name="date" required>
							</div>
							<div class="col col-4">
								<label for="submission">Purpose <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" name="purpose" required>
							</div>
						</div>
                        <br>
                        <div class="col col-12">
                            <label for="date">Details <span class="reqired">*</span></label>
                            <textarea name="details" id="" cols="30" rows="3" class="form-control"></textarea>
                        </div>
						<br>
                        <div class="main text-center">
                            <button name="hospitality" type="submit" class="button"><i class="fas fa-plus"></i> Add</button>
                        </div>
                        <br>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
    <!-- hospitality Tab panes -->
    <div class="homeCard">
        <div class="card-content">
            <div class="card-header"></div>
            <div class="card-body">
                <div role="tabpanel" class="tab-pane" id="hospitality">
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
                    <div class="container">
					<?php
					$wwwquery2 = "SELECT * FROM hospitality ORDER BY id DESC";
					$wwwstmt2 = $conn->prepare($wwwquery2);
					$wwwstmt2->execute();
					 
					$wwwnum2 = $wwwstmt2->rowCount();
					 
					 
					if($wwwnum2>0){
					 echo "
					 <table id='table' class='table table-striped table-dark'
                            data-show-export='true'
                            data-show-print='true'
                            data-pagination='true'
                            data-toggle='table'
                            data-side-pagination='server'
                            data-click-to-select='true'
                            data-toolbar='#toolbar'
                            data-show-toggle='true'
                            data-show-columns='true'
                        >
                                <thead>
                                <tr>
                                    <th scope='col'>#</th>
                                    <th scope='col'>Member's Name</th>
                                    <th scope='col'>Image</th>
                                    <th scope='col'>Department</th>
                                    <th scope='col'>Date</th>
                                    <th scope='col'>Purpose</th>
                                    <th scope='col'>Description</th>
                                </tr>
                            </thead>    
                            <tbody id='myDepts'>
					 ";
					 $positioning = 1;
					 while($wwwrow2 = $wwwstmt2->fetch(PDO::FETCH_ASSOC)){
						 $namequery = "SELECT * FROM members WHERE id=:id";
						 $namestmt = $conn->prepare($namequery);
						 $namestmt->bindParam(':id', $wwwrow2['memberId']);
						 $namestmt->execute();
						 $namerow = $namestmt->fetch(PDO::FETCH_ASSOC);
						 
						$depquery = "SELECT * FROM departments WHERE id=:id";
						 $depstmt = $conn->prepare($depquery);
						 $depstmt->bindParam(':id', $namerow['depId']);
						 $depstmt->execute();
						 $deprow = $depstmt->fetch(PDO::FETCH_ASSOC);
						 
						 echo "
								<tr>
                                    <th scope='row'>{$positioning}</th>
                                    <td>{$namerow['name']}</td>
									<td>"; ?> <?php echo $namerow['image'] ? "<img src='members-images/{$namerow['image']}' alt='' class='img-fluid rounded-circle w-60'>" : "" ?>
									<?php echo "</td>
                                    <td>{$deprow['name']}</td>
                                    <td>".date('d M Y', strtotime($wwwrow2['date']))."</td>
                                    <td>{$wwwrow2['purpose']}</td>
                                    <td>{$wwwrow2['details']}
                                    </td>
                                </tr>
						 ";
						 $positioning++;
						 
					 }
					 echo "
					 </tbody>
                        </table>
					 ";
					}
					 
					// if no records found
					else{
						echo "<div class='alert alert-danger'>No records found.</div>";
					}
										
					?>
                        
                            
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- hospitality Tab panes ENDS-->
</section>




<?php
include "includes/footer.php" ;
?>