<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Manage First Timers
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
<?php
	include 'database/config2.php';
		
	$query5 = "SELECT * FROM departments ORDER BY id DESC";
	$stmt5 = $conn->prepare($query5);
	$stmt5->execute();
		
	// this is how to get number of rows returned
	$num5 = $stmt5->rowCount();
	
	
	
?>
	<div class="container-fluid">

		<div class="row">
            <div class="col col-md-12">
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input class="form-control" id="daterange" />
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
					<?php
					
					$ftmquery = "SELECT * FROM firsttimers";
					$ftmstmt = $conn->prepare($ftmquery);
					$ftmstmt->execute();
					$ftmnum = $ftmstmt->rowCount();
					if($ftmnum > 0){
						
						echo "
								<table id='table_1' class='table table-striped table-ligth'
									data-show-export='true'
									data-show-print='true'
									data-pagination='true'
									data-toggle='table'
									data-side-pagination='server'
									data-click-to-select='true'
									data-toolbar='#toolbar'
									data-show-toggle='true'
									data-show-columns='true'
								>
									<thead>
										<tr>
											<th scope='col'>#</th>
											<th scope='col'>First Visit</th>
											<th scope='col'>Name</th>
											<th scope='col'>Age</th>
											<th scope='col'>Address</th>
											<th scope='col'>Contact</th>
											<th scope='col'>Country</th>
											<th scope='col'>Occupation</th>
											<th scope='col'>Wants Visit</th>
											<th scope='col'>Invited by</th>
											<th scope='col'>Maintained?</th>
											<th scope='col'>Action?</th>
										</tr>
									</thead>    
									<tbody id='testTable'>						
						";
						$numbering = 1;
						while($ftmrow = $ftmstmt->fetch(PDO::FETCH_ASSOC)){
							
							$evangelistqu = "SELECT * FROM members WHERE id=:id";
							$evangeliststmt = $conn->prepare($evangelistqu);
							$evangeliststmt->bindParam(':id', $ftmrow['evangelistId']);
							$evangeliststmt->execute();
							$evangelistrow = $evangeliststmt->fetch(PDO::FETCH_ASSOC);
							
							
							$depqu = "SELECT * FROM departments WHERE id=:id";
							$depqustmt = $conn->prepare($depqu);
							$depqustmt->bindParam(':id', $ftmrow['departmentId']);
							$depqustmt->execute();
							$depqurow = $depqustmt->fetch(PDO::FETCH_ASSOC);
							echo "
								<tr>
									<th scope='row'>{$numbering}</th>
									<td>".date('d M Y', strtotime($ftmrow['dob']))."</td>
									<td>{$ftmrow['name']}</td>
									<td>{$ftmrow['age']} Years</td>
									<td>{$ftmrow['address']}</td>
									<td>{$ftmrow['phone']}</td>
									<td>{$ftmrow['country']}</td>
									<td>{$ftmrow['occupation']}</td>
									<td>{$ftmrow['staywithus']}</td>
									<td><small>{$ftmrow['invited']}</small> <b>{$evangelistrow['name']}</b></td>
									<td><small>{$ftmrow['visit']}</small> <b>{$depqurow['name']}</b></td>
									<td>
										<a href='sendMessage.php?id=29' target='blank' class='btn btn-primary'><i class='fas fa-sms'></i></a>
									</td>
								</tr>
							";
							$numbering++;
						}
						echo "
						                        </tbody>
                    </table>
						";
					} else {
							echo "<div class='alert alert-danger'>No first timer registered yet</div>";						
					}
					?>

                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>


<script>
  var $table = $('#table_1')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'ids',
            title: '#'
          },
          {
            field: 'id',
            title: 'First Visit'
          }, {
            field: 'name',
            title: 'Name'
          }, {
            field: 'price',
            title: 'Age'
          }
        ]
      })
    }).trigger('change')
  })
</script>

<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});

</script>

<?php
include "includes/footer.php" ;
?>