<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Positions
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container">
    <div class="row">
        <div class="col col-md-5">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Add Offices</h5></div>
                    <div class="card-body">
					<?php
if($_POST){
     include 'database/config2.php';
    try{
 
        // insert query
        $query = "INSERT INTO atbioffice SET name=:name, description=:description";
        $stmt = $conn->prepare($query);
        $name=htmlspecialchars(strip_tags($_POST['office']));
        $description=htmlspecialchars(strip_tags($_POST['description']));
 
        $stmt->bindParam(':name', $name);
        $stmt->bindParam(':description', $description);
 
        if($stmt->execute()){
            echo "<div class='alert alert-success'>Record was saved.</div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to save record.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                            <div class="row">
                                <div class="col col-sm-6">
                                    <input type="text" name="office" placeholder="Office" required class="form-control">
                                </div>
                                <div class="col col-sm-6">
                                    <textarea name="description" id="" cols="30" placeholder="Job Description" rows="3" class="form-control"></textarea>
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="create_office" type="submit" class="button">Add</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-7">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> All Gates</h5></div>
                    <div class="card-body">
					<?php
						include 'database/config2.php';						 
						$query2 = "SELECT * FROM atbioffice ORDER BY id DESC";
						$stmt2 = $conn->prepare($query2);
						$stmt2->execute();
						$num2 = $stmt2->rowCount();			
						if($num2>0){
							$position = 0;
							echo "
							<table id='table' class='table table-bordered table-striped'>
                            <thead>
                                <tr>
                                    <th scope='col'>#</th>
                                    <th scope='col'>Name</th>
                                    <th scope='col'>Description</th>
                                    <th scope='col' class='text-center'>Action</th>
                                </tr>
                            </thead> 
                            <tbody>
							";
							
							while ($row2 = $stmt2->fetch(PDO::FETCH_ASSOC)){
								$position++;
								echo 
								"<tr>
                                    <td>{$position}</td>
                                    <td>{$row2['name']}</td>
                                    <td>{$row2['description']}</td>
                                    <td class='d-flex'>
                                        <a href='edit_office.php?id={$row2['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
										<button onclick='delete_course({$row2['id']});' class='btn btn-danger' id='deletusers'>
                                                <i class='fas fa-trash-alt'></i>
                                            </button>
                                    </td>
                                </tr>";
							}
							echo "
							</tbody> 
                        </table>
							";
						}
						 
						// if no records found
						else{
							echo "<div class='alert alert-danger'>No available roles yet.</div>";
						}
						?>
                        
                            
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>



<script type='text/javascript'>
// confirm record deletion
function delete_course( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteOffice.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>



<?php
include "includes/footer.php" ;
?>