<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Prayer Line
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<?php
if(isset($_POST['register_prayerline'])){
 
    // include database connection
    include 'database/config2.php';
 
    try{
 
        // insert query
        $query = "INSERT INTO plregistration SET name=:name, telephone=:telephone, date=:date, gender=:gender, age=:age, country=:country, duration=:duration, problem=:problem, address=:address, file=:file";
 
        $stmt = $conn->prepare($query);
 
 
 
 
 
        // posted values
        $name=htmlspecialchars(strip_tags($_POST['name']));
        $telephone=htmlspecialchars(strip_tags($_POST['phone']));
        $date=date('Y-m-d');
        $gender=htmlspecialchars(strip_tags($_POST['gender']));
        $age=htmlspecialchars(strip_tags($_POST['age']));
        $country=htmlspecialchars(strip_tags($_POST['country']));
        $duration=htmlspecialchars(strip_tags($_POST['duration']));
        $problem=htmlspecialchars(strip_tags($_POST['problem']));
        $address=htmlspecialchars(strip_tags($_POST['address']));
 
		$file=!empty($_FILES["file"]["name"])
				? sha1_file($_FILES['file']['tmp_name']) . "-" . basename($_FILES["file"]["name"])
				: "";
		$file=htmlspecialchars(strip_tags($file));
 
 
        // bind the parameters
        $stmt->bindParam(':name', $name);
        $stmt->bindParam(':telephone', $telephone);
        $stmt->bindParam(':date', $date);
        $stmt->bindParam(':gender', $gender);
        $stmt->bindParam(':age', $age);
        $stmt->bindParam(':country', $country);
        $stmt->bindParam(':duration', $duration);
        $stmt->bindParam(':problem', $problem);
        $stmt->bindParam(':address', $address);
        $stmt->bindParam(':file', $file);
 
        if($stmt->execute()){
            echo "<div class='alert alert-success'>Registered Successfully</div>";
			
			if($file){
							// sha1_file() function is used to make a unique file name
							$target_directory = "prayerlineDocuments/";
							$target_file = $target_directory . $file;
							$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
						 
							// error message is empty
							$file_upload_error_messages="";
						 // make sure file does not exist
						if(file_exists($target_file)){
							$file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
						}
						 
						 // make sure submitted file is not too large, can't be larger than 1 MB
						if($_FILES['file']['size'] > (5120000)){
							$file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
						}
						 
						if(!is_dir($target_directory)){
							mkdir($target_directory, 0777, true);
						}
						 


						// if $file_upload_error_messages is still empty
						if(empty($file_upload_error_messages)){
							// it means there are no errors, so try to upload the file
							if(move_uploaded_file($_FILES["file"]["tmp_name"], $target_file)){
								// it means photo was uploaded
							}else{
								echo "<div class='alert alert-danger'>
									<div>Unable to upload file.</div>
									<div>Update the record to upload file.</div>
								</div>";
							}
						}
						 
						// if $file_upload_error_messages is NOT empty
						else{
							// it means there are some errors, so show them to user
							echo "<div class='alert alert-danger'>
								<div>{$file_upload_error_messages}</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
			
        }else{
            echo "<div class='alert alert-danger'>Error Registering</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
<section>
    <div class="container">
        <div class="homeCard">
            <div class="card-content">
                <div class="card-body">
				
				<?php
					
		
			//echo strtotime("now");
			if($initialrow['isStart'] == 0){
					echo "
					<div class='text-center' style='width: 50%; margin:auto'>
						<p style='font-size: 60px; font-weight: lighter;j'>Registration closed</p>		
					</div> ";		
				} else {
				?>
					<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post" enctype="multipart/form-data">
                        <div class="row">
                            <div class="col col-md-6">
                                <input type="text" name="name" class="form-control" placeholder="Full name" required>
                            </div>
                            <div class="col col-md-3">
                                <input type="number" min="0" name="phone" class="form-control" placeholder="Contact">
                            </div>
                            <div class="col col-md-3">
                                <input type="text" min="0" name="date" class="form-control" value="<?php echo date("d M Y");?>" placeholder="<?php echo date("d M Y");?>" readonly>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col col-md-3">
                                <select type="text" name="gender" class="form-control" placeholder="Gender" required>
                                    <option value="Male">Male</option>
                                    <option value="Female">Female</option>
                                </select>
                            </div>
                            <div class="col col-md-2">
                                <input type="number" min="0" name="age" class="form-control" placeholder="Age" required>
                            </div>
                            <div class="col col-md-4">
                                <select type="text" name="country" class="form-control" required>
                                    <?php include "includes/countryList.php"; ?>
                                </select>
                            </div>
                            <div class="col col-md-3">
                                <input type="text" min="0" name="duration" class="form-control" placeholder="Duration">
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col col-md-12">
                                <textarea name="problem" id="" cols="30" rows="2" placeholder="Case, be as breif as possible " class="form-control" required></textarea>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col col-md-6">
                                <input type="text" name="address" class="form-control" placeholder="Address" required>
                            </div>  
                            <div class="col col-md-6">
                                <input type="file" name="file" class="form-control" multiple>
                            </div>
                        </div>
                        <br>
                        <div class="main text-center">
                            <button name="register_prayerline" type="submit" class="button">Register</button>
                        </div>
                    </form>
				<?php 
					}
				?>
					
                </div>
            </div>
        </div>
    </div>
</section>

<?php
include "includes/footer.php" ;
?>