<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	
	$badge=isset($_GET['badge']) ? $_GET['badge'] : die('ERROR: Badge not found.');
	include 'database/config2.php';

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
			<?php
				$batchname = "SELECT * FROM academic_badge WHERE id=:id";
				$batchstmt = $conn->prepare($batchname);
				$batchstmt->bindParam(':id', $badge);
				$batchstmt->execute();
				$batchrow = $batchstmt->fetch(PDO::FETCH_ASSOC);
			?>
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3><?php echo htmlspecialchars($batchrow['name'], ENT_QUOTES)?> Batch Transcripts
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-3"></div>
                <div class="col col-md-6">
                    <div class="homeCard">
                        <div class="card-content">
                            <div class="card-header"><h5><i class="fas fa-list"></i> Print Transcript</h5></div>
                            <div class="card-body">
							
							<?php
							
								$studquery = "SELECT * FROM atbistudents WHERE badge=:badge ORDER BY id ASC";
								$studstmt=$conn->prepare($studquery);
								$studstmt->bindParam(':badge', $badge);
								$studstmt->execute();
								$studnum=$studstmt->rowCount();
								if($studnum > 0){
									echo "
												<table id='table' class='table table-bordered table-striped'>
													<thead>
														<tr>
															<th scope='col'>Matricule</th>
															<th scope='col'>Name</th>
															<th scope='col'>Action</th>
														</tr>
													</thead> 
													<tbody>
									";
									while($studrow=$studstmt->fetch(PDO::FETCH_ASSOC)){									
										echo "										
											<tr>
												<td>{$studrow['matricule']}</td>
												<td>"; 
												if($studrow['memberId'] == 0){
													$name = $studrow['studentName'];
												} else {
													$findname = "SELECT * FROM members WHERE id=:id and duplicated_id = 0 ";
													$findstmt = $conn->prepare($findname);
													$findstmt->bindParam(':id', $studrow['memberId']);
													$findstmt->execute();
													$findrow = $findstmt->fetch(PDO::FETCH_ASSOC);
													$name = $findrow['name'];
												}
												echo "{$name}</td>
												<td>
													<div class='main text-center'>
														<a href='transcripts/?id={$studrow['id']}' target='_blank'><button name='permit' type='submit' class='button'><i class='fas fa-print'></i> Print</button></a>
													</div>
												</td>
											</tr>
										";										
									}
									echo "
										</tbody> 
                                    </table>
									";
								} else {
									echo "<div class='alert alert-danger'>Sorry there are no students registered under this batch</div>";									
								}
							?>
							
                                <br>
                            </div>
                        </div>
                    </div>       
                </div>
            <div class="col col-md-3"></div>
        </div>
    </div>
</section>




<?php
include "includes/footer.php" ;
?>