<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Resit Results
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<?php
if(isset($_POST['resitResult'])){
 
    include 'database/config2.php';
 
    try{
 

        $matricule=htmlspecialchars(strip_tags($_POST['matricule']));		
		$query2 = "SELECT * FROM atbistudents WHERE matricule=:matricule";
		$stmt2 = $conn->prepare($query2);
		$stmt2->bindParam(':matricule', $matricule);
		$stmt2->execute();
		$row2=$stmt2->fetch(PDO::FETCH_ASSOC);
		$matriculeExist = $stmt2->rowCount();
		
		if($matriculeExist > 0){

			$badge=htmlspecialchars(strip_tags($_POST['badge']));
			
			$query = "INSERT INTO camarks SET studentId=:studentId, semester=:semester, courseId=:courseId, marks=:marks, isResit=1";
			$stmt = $conn->prepare($query);	
			$studentId = $row2['id'];	
			$semester=htmlspecialchars(strip_tags($_POST['semester']));			
			$courseId=htmlspecialchars(strip_tags($_POST['course']));
			$marks=htmlspecialchars(strip_tags($_POST['marks']));
 
			// bind the parameters
			$stmt->bindParam(':studentId', $studentId);
			$stmt->bindParam(':semester', $semester);
			$stmt->bindParam(':courseId', $courseId);
			$stmt->bindParam(':marks', $marks);
	 
			 $query3 = "SELECT * FROM atbistudents WHERE id=:id";
			 $stmt3 = $conn->prepare($query3);
			 $stmt3->bindParam(':id', $studentId);
			 $stmt3->execute();
			 $row3= $stmt3->fetch(PDO::FETCH_ASSOC);
			 $theBadge = $row3['badge'];
			 if($badge == $theBadge){
				 if($stmt->execute()){
						echo "<div class='alert alert-success'>Resit marks submitted.</div>";
					}else{
						echo "<div class='alert alert-danger'>Unable to submit resit marks.</div>";
					}
			 } else {
				 echo "<div class='alert alert-danger'>Sorry this student was never registered as a student of that badge. Select the correct badge.</div>";
			 }
		 
	 
			
		} else {
			echo "<div class='alert alert-danger'>Sorry we cannot identify any student with that matricule.</div>";
		}
		
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
<section>
	<div class="container">
		<div class="row">
            <div class="col col-md-12">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header"><h3>Enter Resit Marks <span class="reqired">*</span></h3></div>
                        <div class="card-body">
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                                <div class="row">
									<div class="col col-3">
                                        <label for="semester">Badge <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="badge" required>
                                            <option disable hidden></option>
											<?php
												$coursequery = "SELECT * FROM academic_badge ORDER BY id DESC";
												$coursestmt=$conn->prepare($coursequery);
												$coursestmt->execute();
												while($courserow = $coursestmt->fetch(PDO::FETCH_ASSOC)){
													echo "<option value='{$courserow['id']}'>{$courserow['name']}</option>";
												}
											?>
                                        </select>
                                    </div>
                                    <div class="col col-2">
                                        <label for="semester">Semester <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="semester" required>
                                            <option disable hidden></option>
                                            <option value="1">First Semester</option>
                                            <option value="2">Second Semester</option>
                                        </select>
                                    </div>
                                    
                                    <div class="col col-2">
                                        <label for="Course">Course <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="course" required>
                                            <option disable hidden></option>
											<?php
												$coursequery2 = "SELECT * FROM atbicourses ORDER BY id DESC";
												$coursestmt2=$conn->prepare($coursequery2);
												$coursestmt2->execute();
												while($courserow2 = $coursestmt2->fetch(PDO::FETCH_ASSOC)){
													echo "<option value='{$courserow2['id']}'>{$courserow2['name']}</option>";
												}
											?>
                                        </select>
                                    </div>
                                    <div class="col col-1">
                                        <label for="Type">Type <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="" placeholder="Exam" value="Exam" name="type" readonly required>
                                        
                                    </div>
                                    <div class="col col-2">
                                        <label for="Matricule">Matricule <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="" placeholder="Student Matricule" name="matricule" required>
                                        
                                    </div>
                                    <div class="col col-2">
                                        <label for="marks">Marks <span class="reqired">*</span></label>
                                        <input class="form-control" type="number" id="" placeholder="marks" name="marks" required>
                                    </div>
                                </div>
                                <br>
                                <br>
                                <div class="main text-center">
                                    <button type="submit" name="resitResult" class="button"><i class="fas fa-check"></i> Correct</button>
                                </div>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
	</div>
</section>

<?php
include "includes/footer.php" ;
?>