<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Service Forms
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
<?php
	include 'database/config2.php';
		
	$query5 = "SELECT * FROM departments ORDER BY id DESC";
	$stmt5 = $conn->prepare($query5);
	$stmt5->execute();
		
	// this is how to get number of rows returned
	$num5 = $stmt5->rowCount();
	
	
	
?>
	<div class="container-fluid">

		<div class="row">
            <div class="col col-md-12">
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input class="form-control" id="daterange" />
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <table id="table_1" class="table table-striped table-ligth"
                        data-show-export="true"
                        data-show-print="true"
                        data-pagination="true"
                        data-toggle="table"
                        data-side-pagination="server"
                        data-click-to-select="true"
                        data-toolbar="#toolbar"
                        data-show-toggle="true"
                        data-show-columns="true"
                    >
                        <thead>
                            <tr>
                                <th scope="col">Service date</th>
                                <th scope="col">Tag</th>
                                <th scope="col">Branch</th>
                                <th scope="col">Closing Status</th>
                                <th scope="col">Overall Population</th>
                                <th scope="col">Total Hour</th>
                                <th scope="col">Action</th>
                            </tr>
                        </thead>    
                        <tbody id="testTable">
                            <tr>
                                <td>01 May 2021</td>
                                <td>Financial Open doors</td>
                                <td>Limbe Mile 2</td>
                                <td><span class="badge bg-success">On Time</span></td>
                                <td>182</td>
                                <td>2Hrs 20Min</td>
                                <td>
                                    <a href="serviceform/index.php" class="btn btn-primary"><i class="fas fa-print"></i></a>
                                </td>
                            </tr>
                            <tr>
                                <td>01 May 2021</td>
                                <td>Financial Open doors</td>
                                <td>Limbe Mile 2</td>
                                <td><span class="badge bg-success">On Time</span></td>
                                <td>182</td>
                                <td>2Hrs 20Min</td>
                                <td>
                                    <a href="serviceform/index.php" class="btn btn-primary"><i class="fas fa-print"></i></a>
                                </td>
                            </tr>
                            <tr>
                                <td>01 May 2021</td>
                                <td>Financial Open doors</td>
                                <td>Isokolo</td>
                                <td><span class="badge bg-danger">Late</span></td>
                                <td>182</td>
                                <td>2Hrs 20Min</td>
                                <td>
                                    <a href="serviceform/index.php" class="btn btn-primary"><i class="fas fa-print"></i></a>
                                </td>
                            </tr>
                            <tr>
                                <td>01 May 2021</td>
                                <td>Financial Open doors</td>
                                <td>Limbe Mile 2</td>
                                <td><span class="badge bg-success">On Time</span></td>
                                <td>182</td>
                                <td>2Hrs 20Min</td>
                                <td>
                                    <a href="serviceform/index.php" class="btn btn-primary"><i class="fas fa-print"></i></a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>


<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table_1')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'ids',
            title: 'Date Collected'
          },
          {
            field: 'id',
            title: 'Return Date'
          }, {
            field: 'name',
            title: 'Status'
          }, {
            field: 'price',
            title: 'Equipment Name'
          }
        ]
        
      })
    }).trigger('change')
  })
</script>

<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});

</script>

<?php
include "includes/footer.php" ;
?>