<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Students' Attendance
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
<div class="container">
		<div class="row">
            <div class="col col-md-2"></div>
            <div class="col col-md-8">
                <div class="">
                    <div class="card-content">
                        <h3>Select Batch <span class="reqired">*</span></h3>
                        <div class="card-body">
                            <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"])?>" method="POST">
                                <select class="form-control" type="text" id="" placeholder="submission" name="batches" required>
                                    <option value="">Select Batch</option>
                                    <option value="0">All Batches</option>
									
									<?php
										$allBatches = "SELECT * FROM academic_badge ORDER BY id DESC";
										$allbatchestmt = $conn->prepare($allBatches);
										$allbatchestmt->execute();
										
										while($allbatchesrow = $allbatchestmt->fetch(PDO::FETCH_ASSOC)){
											echo "<option value='{$allbatchesrow['id']}'>{$allbatchesrow['name']}</option>";
										}
									?>
									</select>
                                <br>
                                <br>
                                <div class="main text-center">
                                    <button name="filterAttendance" type="submit" class="button"><i class="fas fa-filter"></i> Filter</button>
                                </div>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-2"></div>
        </div>
	</div>
</section>

<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-1"></div>
            <div class="col col-md-10">
                <div class="homeCard">
				
				<?php
					if(isset($_POST['filterAttendance'])){
						
						$myOption = htmlspecialchars(strip_tags($_POST['batches']));
						
						if($myOption == ""){
							echo "<div class='alert alert-warning alert-dismissible fade show' role='alert'>
                            <strong>Please,</strong> Select an option.
                        </div>";
						} else {
							
							if($myOption == 0){
								$attend = "SELECT * FROM atbistudentsattendance ORDER BY id DESC";
							} else {
								$attend = "SELECT * FROM atbistudentsattendance WHERE acadBatchId=$myOption ORDER BY id DESC";
							}	
							
								$something = $conn->prepare($attend);
								$something->execute();
								
								echo "
									<div class='card-content'>
										<div class='card-header'><h5><i class='fas fa-list'></i> All Attendance</h5></div>
										<div class='card-body'>
											<table id='table' class='table table-bordered table-striped'>
												<thead>
													<tr>
														<th scope='col'>Name</th>
														<th scope='col'>Image</th>
														<th scope='col'>Matricule</th>
														<th scope='col'>Date</th>
														<th scope='col'>Time</th>
														<th scope='col'>Status</th>
													</tr>
												</thead> 
												<tbody>								
								";
								
								while($somerow = $something->fetch(PDO::FETCH_ASSOC)){
									
									$studentdbq = "SELECT * FROM atbistudents WHERE id=:id";
									$statement2 = $conn->prepare($studentdbq);
									$statement2->bindParam(':id', $somerow['studentId']);
									$statement2->execute();
									$somerow2 = $statement2->fetch(PDO::FETCH_ASSOC);
									
									if($somerow2['memberId'] == 0){
										$theName = $somerow2['studentName'];
										$theirPicture = isset($somerow2['passportPhoto']) ? "<img src='atbipasportphotos/{$somerow2['passportPhoto']}' class='rounded-circle avatar-xs' alt=''>" : die(""); 

									} else {
										$studentdbq2 = "SELECT * FROM members WHERE id=:id";
										$statement3 = $conn->prepare($studentdbq2);
										$statement3->bindParam(':id', $somerow2['memberId']);
										$statement3->execute();
										$somerow3 = $statement3->fetch(PDO::FETCH_ASSOC);
										$theName = $somerow3['name'];
										$theirPicture = isset($somerow3['image']) ? "<img src='members-images/{$somerow3['image']}' class='rounded-circle avatar-xs' alt=''>" : die(""); 

									}
									
									echo "
										<tr>
											<td>{$theName}</td>
											<td>{$theirPicture}</td>
											<td>{$somerow2['matricule']}</td>
											<td>".date('d-M-Y', strtotime($somerow['dateAndTime']))."</td>
											<td>".date('h:i:sa', strtotime($somerow['dateAndTime']))."</td>
											<td>";
											if($somerow['isLate'] == 1){
												echo "<div class='badge bg-danger'>Late</div>";
											} else {
												echo "<div class='badge bg-success'>On Time</div>";
											}											
											echo "
											</td>
										</tr>
									";
								}
								
								echo "
								      </tbody> 
                            </table>
                        </div>
                    </div>
								
								";
						}	
							
					}
				?>
                          
					
					
                </div>
            </div>
            <div class="col col-md-1"></div>
        </div>
    </div>
</section>




<?php
include "includes/footer.php" ;
?>