<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";

?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>System Users 
                    <a href="auth-register.php" class="btn btn-success" >Add User
                        <i class="fas fa-plus"></i>
                    </a>
                </h3>
                
                <p class="text-subtitle text-muted">These are ALL the users of this system
                    <a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                        data-content="">
                        1 Chronicles 29:1-9
                    </a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">System Users</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
 </div>




<!-- Basic Tables start -->
<section class="section">
    <div class="row" id="basic-table">
        <div class="col-12 col-md-12">
            <div class="card cardo">
                <div class="card-header">
                    <h4 class="card-title">Table list of all users</h4>
                </div>
                <div class="card-content">
                    <div class="card-body">
                        <!-- Table with outer spacing -->
						
						<?php
							include 'database/config2.php';
							 
							 $action = isset($_GET['action']) ? $_GET['action'] : "";
 
							// if it was redirected from delete.php
							if($action=='deleted'){
								echo "<div class='alert alert-success'>User has been removed.</div>";
							}
							
							$query = "SELECT * FROM members WHERE isUser=1 AND duplicated_id=0 ORDER BY id DESC";
							$stmt = $conn->prepare($query);
							$stmt->execute();
							 
							// this is how to get number of rows returned
							$num = $stmt->rowCount();
							 
							?>
							<div class="table-responsive">
							<?php
							if($num>0){
							 
								//start table
								echo "<table class='table table-striped'>";
								 
									//creating our table heading
									echo "
									<thead>
									<tr>
										<th>Image</th>
                                        <th>Name</th>
                                        <th>Phone</th>
                                        <th>Nationality</th>
                                        <th>Home Address</th>
                                        <th>Gender</th>
                                        <th>User Role</th>
                                        <th>Username</th>
                                        <th>Date Joined</th>
                                        <th>Signature</th>
                                        <th>Action</th>
									</tr>";
									
									while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
										// extract row
										// this will make $row['firstname'] to
										// just $firstname only
										//extract($row);
									 
										// creating new table row per record
										echo "<tr>
											<td>
												<div class='avatar avatar-xl'>";
												echo $row['image'] ? "<img src='members-images/{$row['image']}' alt='User'>" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' alt='User' >";
												echo "</div>
											</td>
											<td>{$row['name']}</td>
											<td>{$row['telephone']}</td>
											<td>{$row['country']}</td>
											<td>{$row['address']}</td>
											<td>{$row['gender']}</td>
											<td>{$row['userRole']}</td>
											<td>{$row['username']}</td>"; 
											
											if($row['date_joined'] == '0000-00-00'){
												$dateJoined = "Wasn't recorded";
											}else{
												$dateJoined = date('l d M Y', strtotime($row['date_joined']));
											}
											
											
											echo "<td>{$dateJoined}</td>
											<td></td>
											<td>";
												// read one record
												echo "<a href='userEdit.php?id={$row['id']}' class='btn btn-info'>
                                                <i class='fas fa-pen'></i>
                                            </a>
                                            <a href='seememberinfo.php?id={$row['id']}' class='btn btn-primary'>
                                                <i class='far fa-eye'></i>
                                            </a>
                                            <button onclick='delete_user({$row['id']});' class='btn btn-danger' id='deletusers'>
                                                <i class='far fa-trash-alt'></i>
                                            </button>";
											echo "</td>";
										echo "</tr>";
									}
									
								echo "</table>";							 
							}
							 
							// if no records found
							else{
								echo "<div class='alert alert-danger'>No records found.</div>";
							}
						?>
						
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<script type='text/javascript'>
// confirm record deletion
function delete_user( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'delete.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>


<?php
    include "includes/footer.php" ;
?>